/* ex: set ro ft=c:
 * !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
 *
 * This file is generated automatically by tools/build/nativecall.pl
 * from definitions in src/call_list.txt
 *
 * Any changes made here will be lost!
 *
 */

/* nci.c
 *  Copyright (C) 2001-2007, The Perl Foundation.
 *  SVN Info
 *     $Id$
 *  Overview:
 *     Native Call Interface routines. The code needed to build a
 *     parrot to C call frame is in here
 *  Data Structure and Algorithms:
 *  History:
 *  Notes:
 *  References:
 */
#include "parrot/parrot.h"
#include "parrot/hash.h"
#include "parrot/oplib/ops.h"
#include "nci.str"

/* HEADERIZER HFILE: none */
/* HEADERIZER STOP */

/*
 * if the architecture can build some or all of these signatures
 * enable the define below
 * - the JITed function will be called first
 * - if it returns NULL, the hardcoded version will do the job
 */

#if defined(HAS_JIT) && defined(I386)
#  include "parrot/exec.h"
#  include "jit.h"
/*#  define CAN_BUILD_CALL_FRAMES*/
#endif

/*
 * helper funcs - get argument n
 */
static INTVAL
get_nci_I(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_int(st->val);
}

static FLOATVAL
get_nci_N(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_num(st->val);
}

PARROT_WARN_UNUSED_RESULT
PARROT_CANNOT_RETURN_NULL
static STRING*
get_nci_S(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    /* TODO or act like below? */
    if (n >= st->src.n)
        Parrot_ex_throw_from_c_args(interp, NULL, EXCEPTION_INVALID_OPERATION,
            "too few arguments passed to NCI function");

    Parrot_fetch_arg_nci(interp, st);

    return UVal_str(st->val);
}

PARROT_WARN_UNUSED_RESULT
PARROT_CANNOT_RETURN_NULL
static PMC*
get_nci_P(PARROT_INTERP, ARGMOD(call_state *st), int n)
{
    /*
     * exessive args are passed as NULL
     * used by e.g. MMD infix like __add
     */
    if (n < st->src.n)
        Parrot_fetch_arg_nci(interp, st);
    else
        UVal_pmc(st->val) = PMCNULL;

    return UVal_pmc(st->val);
}

#define GET_NCI_I(n) get_nci_I(interp, &st, n)
#define GET_NCI_S(n) get_nci_S(interp, &st, n)
#define GET_NCI_N(n) get_nci_N(interp, &st, n)
#define GET_NCI_P(n) get_nci_P(interp, &st, n)

/*
 * set return value
 */
static void
set_nci_I(PARROT_INTERP, ARGOUT(call_state *st), INTVAL val)
{
    Parrot_init_ret_nci(interp, st, "I");
    if (st->dest.i < st->dest.n) {
        UVal_int(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_N(PARROT_INTERP, ARGOUT(call_state *st), FLOATVAL val)
{
    Parrot_init_ret_nci(interp, st, "N");
    if (st->dest.i < st->dest.n) {
        UVal_num(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_S(PARROT_INTERP, ARGOUT(call_state *st), STRING *val)
{
    Parrot_init_ret_nci(interp, st, "S");
    if (st->dest.i < st->dest.n) {
        UVal_str(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

static void
set_nci_P(PARROT_INTERP, ARGOUT(call_state *st), PMC* val)
{
    Parrot_init_ret_nci(interp, st, "P");
    if (st->dest.i < st->dest.n) {
        UVal_pmc(st->val) = val;
        Parrot_convert_arg(interp, st);
        Parrot_store_arg(interp, st);
    }
}

/* All our static functions that call in various ways. Yes, terribly
   hackish, but that is just fine */

static void
pcf_d_JOd(PARROT_INTERP, PMC *self)
{
    typedef double (*func_t)(PARROT_INTERP, PMC *, double);
    func_t pointer;
    call_state st;
    double return_data;
    
    PMC *t_1;
    double t_2;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_1 = GET_NCI_P(0);
    t_2 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (double)(*pointer)(interp,PMC_IS_NULL(t_1) ? NULL : t_1,t_2);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_I_JOS(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_4;
    STRING *t_5;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_4 = GET_NCI_P(0);
    t_5 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_4) ? NULL : t_4,t_5);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOl(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, long);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_7;
    long t_8;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_7 = GET_NCI_P(0);
    t_8 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_7) ? NULL : t_7,t_8);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_Jt(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    char *t_10;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_10 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_10);
    
    set_nci_P(interp, &st, return_data);
    do { if (t_10) string_cstring_free(t_10); } while (0);
}
static void
pcf_S_JOS(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_12;
    STRING *t_13;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_12 = GET_NCI_P(0);
    t_13 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_12) ? NULL : t_12,t_13);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_I_JI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    INTVAL t_15;
    Parrot_init_arg_nci(interp, &st, "I");
    t_15 = GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,t_15);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JOSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_17;
    STRING *t_18;
    PMC *t_19;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_17 = GET_NCI_P(0);
    t_18 = GET_NCI_S(1);
    t_19 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_17) ? NULL : t_17,t_18,PMC_IS_NULL(t_19) ? NULL : t_19);
    
    
    
}
static void
pcf_v_JOS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_21;
    STRING *t_22;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_21 = GET_NCI_P(0);
    t_22 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_21) ? NULL : t_21,t_22);
    
    
    
}
static void
pcf_P_JOS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_24;
    STRING *t_25;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_24 = GET_NCI_P(0);
    t_25 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_24) ? NULL : t_24,t_25);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JOI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_27;
    INTVAL t_28;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_27 = GET_NCI_P(0);
    t_28 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_27) ? NULL : t_27,t_28);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_30;
    PMC *t_31;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_30 = GET_NCI_P(0);
    t_31 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_30) ? NULL : t_30,PMC_IS_NULL(t_31) ? NULL : t_31);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_33;
    PMC *t_34;
    STRING *t_35;
    Parrot_init_arg_nci(interp, &st, "PPS");
    t_33 = GET_NCI_P(0);
    t_34 = GET_NCI_P(1);
    t_35 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_33) ? NULL : t_33,PMC_IS_NULL(t_34) ? NULL : t_34,t_35);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOPSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_37;
    PMC *t_38;
    STRING *t_39;
    PMC *t_40;
    Parrot_init_arg_nci(interp, &st, "PPSP");
    t_37 = GET_NCI_P(0);
    t_38 = GET_NCI_P(1);
    t_39 = GET_NCI_S(2);
    t_40 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_37) ? NULL : t_37,PMC_IS_NULL(t_38) ? NULL : t_38,t_39,PMC_IS_NULL(t_40) ? NULL : t_40);
    
    
    
}
static void
pcf_v_JPPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_42;
    PMC *t_43;
    PMC *t_44;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_42 = GET_NCI_P(0);
    t_43 = GET_NCI_P(1);
    t_44 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_42) ? NULL : t_42,PMC_IS_NULL(t_43) ? NULL : t_43,PMC_IS_NULL(t_44) ? NULL : t_44);
    
    
    
}
static void
pcf_v_JPIP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_46;
    INTVAL t_47;
    PMC *t_48;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_46 = GET_NCI_P(0);
    t_47 = GET_NCI_I(1);
    t_48 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_46) ? NULL : t_46,t_47,PMC_IS_NULL(t_48) ? NULL : t_48);
    
    
    
}
static void
pcf_v_JPSP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_50;
    STRING *t_51;
    PMC *t_52;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_50 = GET_NCI_P(0);
    t_51 = GET_NCI_S(1);
    t_52 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_50) ? NULL : t_50,t_51,PMC_IS_NULL(t_52) ? NULL : t_52);
    
    
    
}
static void
pcf_v_JPNP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_54;
    FLOATVAL t_55;
    PMC *t_56;
    Parrot_init_arg_nci(interp, &st, "PNP");
    t_54 = GET_NCI_P(0);
    t_55 = GET_NCI_N(1);
    t_56 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_54) ? NULL : t_54,t_55,PMC_IS_NULL(t_56) ? NULL : t_56);
    
    
    
}
static void
pcf_v_JPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_58;
    PMC *t_59;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_58 = GET_NCI_P(0);
    t_59 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_58) ? NULL : t_58,PMC_IS_NULL(t_59) ? NULL : t_59);
    
    
    
}
static void
pcf_v_JPI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_61;
    INTVAL t_62;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_61 = GET_NCI_P(0);
    t_62 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_61) ? NULL : t_61,t_62);
    
    
    
}
static void
pcf_v_JPS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_64;
    STRING *t_65;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_64 = GET_NCI_P(0);
    t_65 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_64) ? NULL : t_64,t_65);
    
    
    
}
static void
pcf_v_JPN(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_67;
    FLOATVAL t_68;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_67 = GET_NCI_P(0);
    t_68 = GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_67) ? NULL : t_67,t_68);
    
    
    
}
static void
pcf_P_JPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_70;
    PMC *t_71;
    PMC *t_72;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_70 = GET_NCI_P(0);
    t_71 = GET_NCI_P(1);
    t_72 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_70) ? NULL : t_70,PMC_IS_NULL(t_71) ? NULL : t_71,PMC_IS_NULL(t_72) ? NULL : t_72);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPIP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_74;
    INTVAL t_75;
    PMC *t_76;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_74 = GET_NCI_P(0);
    t_75 = GET_NCI_I(1);
    t_76 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_74) ? NULL : t_74,t_75,PMC_IS_NULL(t_76) ? NULL : t_76);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPSP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_78;
    STRING *t_79;
    PMC *t_80;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_78 = GET_NCI_P(0);
    t_79 = GET_NCI_S(1);
    t_80 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_78) ? NULL : t_78,t_79,PMC_IS_NULL(t_80) ? NULL : t_80);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPNP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, FLOATVAL, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_82;
    FLOATVAL t_83;
    PMC *t_84;
    Parrot_init_arg_nci(interp, &st, "PNP");
    t_82 = GET_NCI_P(0);
    t_83 = GET_NCI_N(1);
    t_84 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_82) ? NULL : t_82,t_83,PMC_IS_NULL(t_84) ? NULL : t_84);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JPP(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_86;
    PMC *t_87;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_86 = GET_NCI_P(0);
    t_87 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_86) ? NULL : t_86,PMC_IS_NULL(t_87) ? NULL : t_87);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_89;
    Parrot_init_arg_nci(interp, &st, "P");
    t_89 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_89) ? NULL : t_89);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_91;
    Parrot_init_arg_nci(interp, &st, "P");
    t_91 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_91) ? NULL : t_91);
    
    
    
}
static void
pcf_i_JPi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_93;
    int t_94;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_93 = GET_NCI_P(0);
    t_94 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_93) ? NULL : t_93,t_94);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_96;
    int t_97;
    int t_98;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_96 = GET_NCI_P(0);
    t_97 = (int)GET_NCI_I(1);
    t_98 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_96) ? NULL : t_96,t_97,t_98);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_100;
    int t_101;
    int t_102;
    int t_103;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_100 = GET_NCI_P(0);
    t_101 = (int)GET_NCI_I(1);
    t_102 = (int)GET_NCI_I(2);
    t_103 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_100) ? NULL : t_100,t_101,t_102,t_103);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_105;
    char *t_106;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_105 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_106 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_105) ? NULL : t_105,t_106);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_106) string_cstring_free(t_106); } while (0);
}
static void
pcf_P_JOSSS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, STRING *, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_108;
    STRING *t_109;
    STRING *t_110;
    STRING *t_111;
    Parrot_init_arg_nci(interp, &st, "PSSS");
    t_108 = GET_NCI_P(0);
    t_109 = GET_NCI_S(1);
    t_110 = GET_NCI_S(2);
    t_111 = GET_NCI_S(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_108) ? NULL : t_108,t_109,t_110,t_111);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOSS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, STRING *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_113;
    STRING *t_114;
    STRING *t_115;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_113 = GET_NCI_P(0);
    t_114 = GET_NCI_S(1);
    t_115 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_113) ? NULL : t_113,t_114,t_115);
    
    
    
}
static void
pcf_S_JOI(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_117;
    INTVAL t_118;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_117 = GET_NCI_P(0);
    t_118 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_117) ? NULL : t_117,t_118);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_v_JOb(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_120;
    STRING *t_121;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_120 = GET_NCI_P(0);
    t_121 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_120) ? NULL : t_120,PObj_bufstart(t_121));
    
    
    
}
static void
pcf_i_JOPxAT_(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_123;
    PMC *t_124;
    PMC *t_125;
    Parrot_init_arg_nci(interp, &st, "PP@");
    t_123 = GET_NCI_P(0);
    t_124 = GET_NCI_P(1);
    t_125 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_123) ? NULL : t_123,PMC_IS_NULL(t_124) ? NULL : t_124,PMC_IS_NULL(t_125) ? NULL : t_125);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_I_JOPxAT_(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_127;
    PMC *t_128;
    PMC *t_129;
    Parrot_init_arg_nci(interp, &st, "PP@");
    t_127 = GET_NCI_P(0);
    t_128 = GET_NCI_P(1);
    t_129 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_127) ? NULL : t_127,PMC_IS_NULL(t_128) ? NULL : t_128,PMC_IS_NULL(t_129) ? NULL : t_129);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_I_JOIPxAT_(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, INTVAL, PMC *, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_131;
    INTVAL t_132;
    PMC *t_133;
    PMC *t_134;
    Parrot_init_arg_nci(interp, &st, "PIP@");
    t_131 = GET_NCI_P(0);
    t_132 = GET_NCI_I(1);
    t_133 = GET_NCI_P(2);
    t_134 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_131) ? NULL : t_131,t_132,PMC_IS_NULL(t_133) ? NULL : t_133,PMC_IS_NULL(t_134) ? NULL : t_134);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JO(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_136;
    Parrot_init_arg_nci(interp, &st, "P");
    t_136 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_136) ? NULL : t_136);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_138;
    PMC *t_139;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_138 = GET_NCI_P(0);
    t_139 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_138) ? NULL : t_138,PMC_IS_NULL(t_139) ? NULL : t_139);
    
    
    
}
static void
pcf_P_Ji(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    int t_141;
    Parrot_init_arg_nci(interp, &st, "I");
    t_141 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_141);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_i_ip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_142;
    PMC *t_143;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_142 = (int)GET_NCI_I(0);
    t_143 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_142,PMC_data(t_143));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JPip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_145;
    int t_146;
    PMC *t_147;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_145 = GET_NCI_P(0);
    t_146 = (int)GET_NCI_I(1);
    t_147 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_145) ? NULL : t_145,t_146,PMC_data(t_147));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JpP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, void *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_149;
    PMC *t_150;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_149 = GET_NCI_P(0);
    t_150 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_data(t_149),PMC_IS_NULL(t_150) ? NULL : t_150);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_Jpii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_152;
    int t_153;
    int t_154;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_152 = GET_NCI_P(0);
    t_153 = (int)GET_NCI_I(1);
    t_154 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_data(t_152),t_153,t_154);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_155;
    Parrot_init_arg_nci(interp, &st, "P");
    t_155 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_155));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_tp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_156;
    PMC *t_157;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_156 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_157 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_156,PMC_data(t_157));
    
    set_nci_I(interp, &st, return_data);
    do { if (t_156) string_cstring_free(t_156); } while (0);
}
static void
pcf_p_J(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);
    Parrot_init_arg_nci(interp, &st, "");
    

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_160;
    Parrot_init_arg_nci(interp, &st, "P");
    t_160 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,PMC_data(t_160));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_t_J(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(PARROT_INTERP);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;
    Parrot_init_arg_nci(interp, &st, "");
    

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(interp);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_Jpti(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(PARROT_INTERP, void *, char *, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_163;
    char *t_164;
    int t_165;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_163 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_164 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_165 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(interp,PMC_data(t_163),t_164,t_165);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_164) string_cstring_free(t_164); } while (0);
}
static void
pcf_t_p(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_166;
    Parrot_init_arg_nci(interp, &st, "P");
    t_166 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_166));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pt(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_167;
    char *t_168;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_167 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_168 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_167),t_168);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_168) string_cstring_free(t_168); } while (0);
}
static void
pcf_v_p(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_169;
    Parrot_init_arg_nci(interp, &st, "P");
    t_169 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_169));
    
    
    
}
static void
pcf_v_pit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, char *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_170;
    int t_171;
    char *t_172;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_170 = GET_NCI_P(0);
    t_171 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_172 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_170),t_171,t_172);
    
    
    do { if (t_172) string_cstring_free(t_172); } while (0);
}
static void
pcf_v_ptt(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char *, char *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_173;
    char *t_174;
    char *t_175;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_173 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_174 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_175 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_173),t_174,t_175);
    
    
    do { if (t_174) string_cstring_free(t_174); } while (0);
    do { if (t_175) string_cstring_free(t_175); } while (0);
}
static void
pcf_v_Jtiiipt(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, char *, int, int, int, void *, char *);
    func_t pointer;
    call_state st;
    
    
    char *t_177;
    int t_178;
    int t_179;
    int t_180;
    PMC *t_181;
    char *t_182;
    Parrot_init_arg_nci(interp, &st, "SIIIPS");
    {STRING * s= GET_NCI_S(0); t_177 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_178 = (int)GET_NCI_I(1);
    t_179 = (int)GET_NCI_I(2);
    t_180 = (int)GET_NCI_I(3);
    t_181 = GET_NCI_P(4);
    {STRING * s= GET_NCI_S(5); t_182 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_177,t_178,t_179,t_180,PMC_data(t_181),t_182);
    
    
    do { if (t_177) string_cstring_free(t_177); } while (0);
    do { if (t_182) string_cstring_free(t_182); } while (0);
}
static void
pcf_p_JttPP(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, char *, char *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_184;
    char *t_185;
    PMC *t_186;
    PMC *t_187;
    Parrot_init_arg_nci(interp, &st, "SSPP");
    {STRING * s= GET_NCI_S(0); t_184 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_185 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_186 = GET_NCI_P(2);
    t_187 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_184,t_185,PMC_IS_NULL(t_186) ? NULL : t_186,PMC_IS_NULL(t_187) ? NULL : t_187);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_184) string_cstring_free(t_184); } while (0);
    do { if (t_185) string_cstring_free(t_185); } while (0);
}
static void
pcf_P_Jtpi(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, char *, void *, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    char *t_189;
    PMC *t_190;
    int t_191;
    Parrot_init_arg_nci(interp, &st, "SPI");
    {STRING * s= GET_NCI_S(0); t_189 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_190 = GET_NCI_P(1);
    t_191 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,t_189,PMC_data(t_190),t_191);
    
    set_nci_P(interp, &st, return_data);
    do { if (t_189) string_cstring_free(t_189); } while (0);
}
static void
pcf_v_(PARROT_INTERP, PMC *self)
{
    void (*pointer)(void);
    
    
    
    

    pointer =  (void (*)(void))D2FPTR(PMC_struct_val(self));
     (void)(*pointer)();
    
    
}
static void
pcf_v_Jiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_193;
    int t_194;
    int t_195;
    PMC *t_196;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_193 = (int)GET_NCI_I(0);
    t_194 = (int)GET_NCI_I(1);
    t_195 = (int)GET_NCI_I(2);
    t_196 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_193,t_194,t_195,PMC_data(t_196));
    
    
    
}
static void
pcf_v_i(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int);
    func_t pointer;
    call_state st;
    
    
    int t_197;
    Parrot_init_arg_nci(interp, &st, "I");
    t_197 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_197);
    
    
    
}
static void
pcf_v_ii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int);
    func_t pointer;
    call_state st;
    
    
    int t_198;
    int t_199;
    Parrot_init_arg_nci(interp, &st, "II");
    t_198 = (int)GET_NCI_I(0);
    t_199 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_198,t_199);
    
    
    
}
static void
pcf_v_illllllll(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, long, long, long, long, long, long, long, long);
    func_t pointer;
    call_state st;
    
    
    int t_200;
    long t_201;
    long t_202;
    long t_203;
    long t_204;
    long t_205;
    long t_206;
    long t_207;
    long t_208;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIII");
    t_200 = (int)GET_NCI_I(0);
    t_201 = (long)GET_NCI_I(1);
    t_202 = (long)GET_NCI_I(2);
    t_203 = (long)GET_NCI_I(3);
    t_204 = (long)GET_NCI_I(4);
    t_205 = (long)GET_NCI_I(5);
    t_206 = (long)GET_NCI_I(6);
    t_207 = (long)GET_NCI_I(7);
    t_208 = (long)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_200,t_201,t_202,t_203,t_204,t_205,t_206,t_207,t_208);
    
    
    
}
static void
pcf_v_l(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(long);
    func_t pointer;
    call_state st;
    
    
    long t_209;
    Parrot_init_arg_nci(interp, &st, "I");
    t_209 = (long)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_209);
    
    
    
}
static void
pcf_v_pbip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, int, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_210;
    STRING *t_211;
    int t_212;
    PMC *t_213;
    Parrot_init_arg_nci(interp, &st, "PSIP");
    t_210 = GET_NCI_P(0);
    t_211 = GET_NCI_S(1);
    t_212 = (int)GET_NCI_I(2);
    t_213 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_210),PObj_bufstart(t_211),t_212,PMC_data(t_213));
    
    
    
}
static void
pcf_v_pi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_214;
    int t_215;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_214 = GET_NCI_P(0);
    t_215 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_214),t_215);
    
    
    
}
static void
pcf_v_piiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_216;
    int t_217;
    int t_218;
    int t_219;
    int t_220;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_216 = GET_NCI_P(0);
    t_217 = (int)GET_NCI_I(1);
    t_218 = (int)GET_NCI_I(2);
    t_219 = (int)GET_NCI_I(3);
    t_220 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_216),t_217,t_218,t_219,t_220);
    
    
    
}
static void
pcf_v_pl(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, long);
    func_t pointer;
    call_state st;
    
    
    PMC *t_221;
    long t_222;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_221 = GET_NCI_P(0);
    t_222 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_221),t_222);
    
    
    
}
static void
pcf_v_pp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_223;
    PMC *t_224;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_223 = GET_NCI_P(0);
    t_224 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_223),PMC_data(t_224));
    
    
    
}
static void
pcf_i_JPP(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_226;
    PMC *t_227;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_226 = GET_NCI_P(0);
    t_227 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_226) ? NULL : t_226,PMC_IS_NULL(t_227) ? NULL : t_227);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_229;
    Parrot_init_arg_nci(interp, &st, "P");
    t_229 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_229) ? NULL : t_229);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_231;
    PMC *t_232;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_231 = GET_NCI_P(0);
    t_232 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_231) ? NULL : t_231,PMC_IS_NULL(t_232) ? NULL : t_232);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_S_JO(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_234;
    Parrot_init_arg_nci(interp, &st, "P");
    t_234 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_234) ? NULL : t_234);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_i_P(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_235;
    Parrot_init_arg_nci(interp, &st, "P");
    t_235 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_IS_NULL(t_235) ? NULL : t_235);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_237;
    PMC *t_238;
    PMC *t_239;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_237 = GET_NCI_P(0);
    t_238 = GET_NCI_P(1);
    t_239 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_237) ? NULL : t_237,PMC_IS_NULL(t_238) ? NULL : t_238,PMC_IS_NULL(t_239) ? NULL : t_239);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_241;
    PMC *t_242;
    PMC *t_243;
    PMC *t_244;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_241 = GET_NCI_P(0);
    t_242 = GET_NCI_P(1);
    t_243 = GET_NCI_P(2);
    t_244 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_241) ? NULL : t_241,PMC_IS_NULL(t_242) ? NULL : t_242,PMC_IS_NULL(t_243) ? NULL : t_243,PMC_IS_NULL(t_244) ? NULL : t_244);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_246;
    PMC *t_247;
    PMC *t_248;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_246 = GET_NCI_P(0);
    t_247 = GET_NCI_P(1);
    t_248 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_246) ? NULL : t_246,PMC_IS_NULL(t_247) ? NULL : t_247,PMC_IS_NULL(t_248) ? NULL : t_248);
    
    
    
}
static void
pcf_v_JOPPP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_250;
    PMC *t_251;
    PMC *t_252;
    PMC *t_253;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_250 = GET_NCI_P(0);
    t_251 = GET_NCI_P(1);
    t_252 = GET_NCI_P(2);
    t_253 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_250) ? NULL : t_250,PMC_IS_NULL(t_251) ? NULL : t_251,PMC_IS_NULL(t_252) ? NULL : t_252,PMC_IS_NULL(t_253) ? NULL : t_253);
    
    
    
}
static void
pcf_P_JOPPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_255;
    PMC *t_256;
    PMC *t_257;
    PMC *t_258;
    PMC *t_259;
    Parrot_init_arg_nci(interp, &st, "PPPPP");
    t_255 = GET_NCI_P(0);
    t_256 = GET_NCI_P(1);
    t_257 = GET_NCI_P(2);
    t_258 = GET_NCI_P(3);
    t_259 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_255) ? NULL : t_255,PMC_IS_NULL(t_256) ? NULL : t_256,PMC_IS_NULL(t_257) ? NULL : t_257,PMC_IS_NULL(t_258) ? NULL : t_258,PMC_IS_NULL(t_259) ? NULL : t_259);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOPPPPP(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, PMC *, PMC *, PMC *, PMC *, PMC *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_261;
    PMC *t_262;
    PMC *t_263;
    PMC *t_264;
    PMC *t_265;
    PMC *t_266;
    Parrot_init_arg_nci(interp, &st, "PPPPPP");
    t_261 = GET_NCI_P(0);
    t_262 = GET_NCI_P(1);
    t_263 = GET_NCI_P(2);
    t_264 = GET_NCI_P(3);
    t_265 = GET_NCI_P(4);
    t_266 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_261) ? NULL : t_261,PMC_IS_NULL(t_262) ? NULL : t_262,PMC_IS_NULL(t_263) ? NULL : t_263,PMC_IS_NULL(t_264) ? NULL : t_264,PMC_IS_NULL(t_265) ? NULL : t_265,PMC_IS_NULL(t_266) ? NULL : t_266);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_I_JOSI(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_268;
    STRING *t_269;
    INTVAL t_270;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_268 = GET_NCI_P(0);
    t_269 = GET_NCI_S(1);
    t_270 = GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_268) ? NULL : t_268,t_269,t_270);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_P_JOSII(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL, INTVAL);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_272;
    STRING *t_273;
    INTVAL t_274;
    INTVAL t_275;
    Parrot_init_arg_nci(interp, &st, "PSII");
    t_272 = GET_NCI_P(0);
    t_273 = GET_NCI_S(1);
    t_274 = GET_NCI_I(2);
    t_275 = GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_272) ? NULL : t_272,t_273,t_274,t_275);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_p_Ji(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_277;
    Parrot_init_arg_nci(interp, &st, "I");
    t_277 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_277);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jipp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, int, void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_279;
    PMC *t_280;
    PMC *t_281;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_279 = (int)GET_NCI_I(0);
    t_280 = GET_NCI_P(1);
    t_281 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_279,PMC_data(t_280),PMC_data(t_281));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jbip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, void *, int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_283;
    int t_284;
    PMC *t_285;
    Parrot_init_arg_nci(interp, &st, "SIP");
    t_283 = GET_NCI_S(0);
    t_284 = (int)GET_NCI_I(1);
    t_285 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,PObj_bufstart(t_283),t_284,PMC_data(t_285));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_v_Jp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_287;
    Parrot_init_arg_nci(interp, &st, "P");
    t_287 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_data(t_287));
    
    
    
}
static void
pcf_v_JS(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, STRING *);
    func_t pointer;
    call_state st;
    
    
    STRING *t_289;
    Parrot_init_arg_nci(interp, &st, "S");
    t_289 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,t_289);
    
    
    
}
static void
pcf_t_tt(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;char *t_290;
    char *t_291;
    Parrot_init_arg_nci(interp, &st, "SS");
    {STRING * s= GET_NCI_S(0); t_290 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_291 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_290,t_291);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_290) string_cstring_free(t_290); } while (0);
    do { if (t_291) string_cstring_free(t_291); } while (0);
}
static void
pcf_I_JOt(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_293;
    char *t_294;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_293 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_294 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_293) ? NULL : t_293,t_294);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_294) string_cstring_free(t_294); } while (0);
}
static void
pcf_v_JOSI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, STRING *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_296;
    STRING *t_297;
    INTVAL t_298;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_296 = GET_NCI_P(0);
    t_297 = GET_NCI_S(1);
    t_298 = GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_296) ? NULL : t_296,t_297,t_298);
    
    
    
}
static void
pcf_S_JOi(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_300;
    int t_301;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_300 = GET_NCI_P(0);
    t_301 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_300) ? NULL : t_300,t_301);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_v_JOi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_303;
    int t_304;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_303 = GET_NCI_P(0);
    t_304 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_303) ? NULL : t_303,t_304);
    
    
    
}
static void
pcf_I_JO(PARROT_INTERP, PMC *self)
{
    typedef INTVAL (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    INTVAL return_data;
    
    PMC *t_306;
    Parrot_init_arg_nci(interp, &st, "P");
    t_306 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (INTVAL)(*pointer)(interp,PMC_IS_NULL(t_306) ? NULL : t_306);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_N_JO(PARROT_INTERP, PMC *self)
{
    typedef FLOATVAL (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    FLOATVAL return_data;
    
    PMC *t_308;
    Parrot_init_arg_nci(interp, &st, "P");
    t_308 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (FLOATVAL)(*pointer)(interp,PMC_IS_NULL(t_308) ? NULL : t_308);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_v_JON(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, FLOATVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_310;
    FLOATVAL t_311;
    Parrot_init_arg_nci(interp, &st, "PN");
    t_310 = GET_NCI_P(0);
    t_311 = GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_310) ? NULL : t_310,t_311);
    
    
    
}
static void
pcf_P_JOi(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_313;
    int t_314;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_313 = GET_NCI_P(0);
    t_314 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_313) ? NULL : t_313,t_314);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_v_JOI(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    
    
    PMC *t_316;
    INTVAL t_317;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_316 = GET_NCI_P(0);
    t_317 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_316) ? NULL : t_316,t_317);
    
    
    
}
static void
pcf_P_JOI(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_319;
    INTVAL t_320;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_319 = GET_NCI_P(0);
    t_320 = GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_319) ? NULL : t_319,t_320);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_P_JOIS(PARROT_INTERP, PMC *self)
{
    typedef PMC * (*func_t)(PARROT_INTERP, PMC *, INTVAL, STRING *);
    func_t pointer;
    call_state st;
    PMC * return_data;
    
    PMC *t_322;
    INTVAL t_323;
    STRING *t_324;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_322 = GET_NCI_P(0);
    t_323 = GET_NCI_I(1);
    t_324 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (PMC *)(*pointer)(interp,PMC_IS_NULL(t_322) ? NULL : t_322,t_323,t_324);
    
    set_nci_P(interp, &st, return_data);
    
}
static void
pcf_S_JOSP(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(PARROT_INTERP, PMC *, STRING *, PMC *);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    PMC *t_326;
    STRING *t_327;
    PMC *t_328;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_326 = GET_NCI_P(0);
    t_327 = GET_NCI_S(1);
    t_328 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(interp,PMC_IS_NULL(t_326) ? NULL : t_326,t_327,PMC_IS_NULL(t_328) ? NULL : t_328);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_i_(PARROT_INTERP, PMC *self)
{
    int (*pointer)(void);
    int return_data;
    
    call_state st;
    

    pointer =  (int (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (int)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i3i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int *, int);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int t_329;
    PMC *t_330;
    int t_331;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_329 = (int)GET_NCI_I(0);
    t_330 = GET_NCI_P(1);
    t_331 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_330);
    return_data =  (int)(*pointer)(t_329,&arg1,t_331);
    PMC_int_val(t_330) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ibi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_332;
    STRING *t_333;
    int t_334;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_332 = (int)GET_NCI_I(0);
    t_333 = GET_NCI_S(1);
    t_334 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_332,PObj_bufstart(t_333),t_334);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_lttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(long, char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    long t_335;
    char *t_336;
    char *t_337;
    long t_338;
    Parrot_init_arg_nci(interp, &st, "ISSI");
    t_335 = (long)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_336 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_337 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_338 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_335,t_336,t_337,t_338);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_336) string_cstring_free(t_336); } while (0);
    do { if (t_337) string_cstring_free(t_337); } while (0);
}
static void
pcf_i_pip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_339;
    int t_340;
    PMC *t_341;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_339 = GET_NCI_P(0);
    t_340 = (int)GET_NCI_I(1);
    t_341 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_339),t_340,PMC_data(t_341));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piS(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, STRING *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_342;
    int t_343;
    STRING *t_344;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_342 = GET_NCI_P(0);
    t_343 = (int)GET_NCI_I(1);
    t_344 = GET_NCI_S(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_342),t_343,t_344);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_S_i(PARROT_INTERP, PMC *self)
{
    typedef STRING * (*func_t)(int);
    func_t pointer;
    call_state st;
    STRING * return_data;
    
    int t_345;
    Parrot_init_arg_nci(interp, &st, "I");
    t_345 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (STRING *)(*pointer)(t_345);
    
    set_nci_S(interp, &st, return_data);
    
}
static void
pcf_l_p(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_346;
    Parrot_init_arg_nci(interp, &st, "P");
    t_346 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_346));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_p(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_347;
    Parrot_init_arg_nci(interp, &st, "P");
    t_347 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_347));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_pi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_348;
    int t_349;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_348 = GET_NCI_P(0);
    t_349 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_348),t_349);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_p(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_350;
    Parrot_init_arg_nci(interp, &st, "P");
    t_350 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_350));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_pttttt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, char *, char *, char *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_351;
    char *t_352;
    char *t_353;
    char *t_354;
    char *t_355;
    char *t_356;
    Parrot_init_arg_nci(interp, &st, "PSSSSS");
    t_351 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_352 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_353 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_354 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_355 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(5); t_356 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_351),t_352,t_353,t_354,t_355,t_356);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_352) string_cstring_free(t_352); } while (0);
    do { if (t_353) string_cstring_free(t_353); } while (0);
    do { if (t_354) string_cstring_free(t_354); } while (0);
    do { if (t_355) string_cstring_free(t_355); } while (0);
    do { if (t_356) string_cstring_free(t_356); } while (0);
}
static void
pcf_c_pttt(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *, char *, char *, char *);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_357;
    char *t_358;
    char *t_359;
    char *t_360;
    Parrot_init_arg_nci(interp, &st, "PSSS");
    t_357 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_358 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_359 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_360 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_357),t_358,t_359,t_360);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_358) string_cstring_free(t_358); } while (0);
    do { if (t_359) string_cstring_free(t_359); } while (0);
    do { if (t_360) string_cstring_free(t_360); } while (0);
}
static void
pcf_p_pttttiti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *, char *, char *, int, char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_361;
    char *t_362;
    char *t_363;
    char *t_364;
    char *t_365;
    int t_366;
    char *t_367;
    int t_368;
    Parrot_init_arg_nci(interp, &st, "PSSSSISI");
    t_361 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_362 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_363 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_364 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_365 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_366 = (int)GET_NCI_I(5);
    {STRING * s= GET_NCI_S(6); t_367 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_368 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_361),t_362,t_363,t_364,t_365,t_366,t_367,t_368);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_362) string_cstring_free(t_362); } while (0);
    do { if (t_363) string_cstring_free(t_363); } while (0);
    do { if (t_364) string_cstring_free(t_364); } while (0);
    do { if (t_365) string_cstring_free(t_365); } while (0);
    do { if (t_367) string_cstring_free(t_367); } while (0);
}
static void
pcf_i_pt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_369;
    char *t_370;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_369 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_370 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_369),t_370);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_370) string_cstring_free(t_370); } while (0);
}
static void
pcf_i_ptl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_371;
    char *t_372;
    long t_373;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_371 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_372 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_373 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_371),t_372,t_373);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_372) string_cstring_free(t_372); } while (0);
}
static void
pcf_i_pi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_374;
    int t_375;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_374 = GET_NCI_P(0);
    t_375 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_374),t_375);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_376;
    long t_377;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_376 = GET_NCI_P(0);
    t_377 = (long)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_376),t_377);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_(PARROT_INTERP, PMC *self)
{
    long (*pointer)(void);
    long return_data;
    
    call_state st;
    

    pointer =  (long (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (long)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_pt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_378;
    char *t_379;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_378 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_379 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_378),t_379);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_379) string_cstring_free(t_379); } while (0);
}
static void
pcf_p_ptt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_380;
    char *t_381;
    char *t_382;
    Parrot_init_arg_nci(interp, &st, "PSS");
    t_380 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_381 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_382 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_380),t_381,t_382);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_381) string_cstring_free(t_381); } while (0);
    do { if (t_382) string_cstring_free(t_382); } while (0);
}
static void
pcf_i_pit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_383;
    int t_384;
    char *t_385;
    Parrot_init_arg_nci(interp, &st, "PIS");
    t_383 = GET_NCI_P(0);
    t_384 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_385 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_383),t_384,t_385);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_385) string_cstring_free(t_385); } while (0);
}
static void
pcf_p_pp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_386;
    PMC *t_387;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_386 = GET_NCI_P(0);
    t_387 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_386),PMC_data(t_387));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_l_ttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    char *t_388;
    char *t_389;
    long t_390;
    Parrot_init_arg_nci(interp, &st, "SSI");
    {STRING * s= GET_NCI_S(0); t_388 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_389 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_390 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_388,t_389,t_390);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_388) string_cstring_free(t_388); } while (0);
    do { if (t_389) string_cstring_free(t_389); } while (0);
}
static void
pcf_l_pttl(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, char *, char *, long);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_391;
    char *t_392;
    char *t_393;
    long t_394;
    Parrot_init_arg_nci(interp, &st, "PSSI");
    t_391 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_392 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_393 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_394 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_391),t_392,t_393,t_394);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_392) string_cstring_free(t_392); } while (0);
    do { if (t_393) string_cstring_free(t_393); } while (0);
}
static void
pcf_v_t(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *);
    func_t pointer;
    call_state st;
    
    
    char *t_395;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_395 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_395);
    
    
    do { if (t_395) string_cstring_free(t_395); } while (0);
}
static void
pcf_p_tiB3P(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int, void **, int *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_396;
    int t_397;
    STRING *t_398;
    PMC *t_399;
    PMC *t_400;
    Parrot_init_arg_nci(interp, &st, "SISPP");
    {STRING * s= GET_NCI_S(0); t_396 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_397 = (int)GET_NCI_I(1);
    t_398 = GET_NCI_S(2);
    t_399 = GET_NCI_P(3);
    t_400 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_399);
    return_data =  (void *)(*pointer)(t_396,t_397,&PObj_bufstart(t_398),&arg3,PMC_IS_NULL(t_400) ? NULL : t_400);
    PMC_int_val(t_399) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_396) string_cstring_free(t_396); } while (0);
}
static void
pcf_p_tip3P(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int, void *, int *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_401;
    int t_402;
    PMC *t_403;
    PMC *t_404;
    PMC *t_405;
    Parrot_init_arg_nci(interp, &st, "SIPPP");
    {STRING * s= GET_NCI_S(0); t_401 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_402 = (int)GET_NCI_I(1);
    t_403 = GET_NCI_P(2);
    t_404 = GET_NCI_P(3);
    t_405 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_404);
    return_data =  (void *)(*pointer)(t_401,t_402,PMC_data(t_403),&arg3,PMC_IS_NULL(t_405) ? NULL : t_405);
    PMC_int_val(t_404) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_401) string_cstring_free(t_401); } while (0);
}
static void
pcf_i_pPtiiipi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, PMC *, char *, int, int, int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_406;
    PMC *t_407;
    char *t_408;
    int t_409;
    int t_410;
    int t_411;
    PMC *t_412;
    int t_413;
    Parrot_init_arg_nci(interp, &st, "PPSIIIPI");
    t_406 = GET_NCI_P(0);
    t_407 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_408 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_409 = (int)GET_NCI_I(3);
    t_410 = (int)GET_NCI_I(4);
    t_411 = (int)GET_NCI_I(5);
    t_412 = GET_NCI_P(6);
    t_413 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_406),PMC_IS_NULL(t_407) ? NULL : t_407,t_408,t_409,t_410,t_411,PMC_data(t_412),t_413);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_408) string_cstring_free(t_408); } while (0);
}
static void
pcf_i_tpiibi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, void *, int, int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_414;
    PMC *t_415;
    int t_416;
    int t_417;
    STRING *t_418;
    int t_419;
    Parrot_init_arg_nci(interp, &st, "SPIISI");
    {STRING * s= GET_NCI_S(0); t_414 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_415 = GET_NCI_P(1);
    t_416 = (int)GET_NCI_I(2);
    t_417 = (int)GET_NCI_I(3);
    t_418 = GET_NCI_S(4);
    t_419 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_414,PMC_data(t_415),t_416,t_417,PObj_bufstart(t_418),t_419);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_414) string_cstring_free(t_414); } while (0);
}
static void
pcf_p_ptippppi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int, void *, void *, void *, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_420;
    char *t_421;
    int t_422;
    PMC *t_423;
    PMC *t_424;
    PMC *t_425;
    PMC *t_426;
    int t_427;
    Parrot_init_arg_nci(interp, &st, "PSIPPPPI");
    t_420 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_421 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_422 = (int)GET_NCI_I(2);
    t_423 = GET_NCI_P(3);
    t_424 = GET_NCI_P(4);
    t_425 = GET_NCI_P(5);
    t_426 = GET_NCI_P(6);
    t_427 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_420),t_421,t_422,PMC_data(t_423),PMC_data(t_424),PMC_data(t_425),PMC_data(t_426),t_427);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_421) string_cstring_free(t_421); } while (0);
}
static void
pcf_p_pi33ipi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int *, int *, int, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    int arg2;
    int arg3;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_428;
    int t_429;
    PMC *t_430;
    PMC *t_431;
    int t_432;
    PMC *t_433;
    int t_434;
    Parrot_init_arg_nci(interp, &st, "PIPPIPI");
    t_428 = GET_NCI_P(0);
    t_429 = (int)GET_NCI_I(1);
    t_430 = GET_NCI_P(2);
    t_431 = GET_NCI_P(3);
    t_432 = (int)GET_NCI_I(4);
    t_433 = GET_NCI_P(5);
    t_434 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_430);
    arg3 = PMC_int_val(t_431);
    return_data =  (void *)(*pointer)(PMC_data(t_428),t_429,&arg2,&arg3,t_432,PMC_data(t_433),t_434);
    PMC_int_val(t_430) = arg2;
    PMC_int_val(t_431) = arg3;
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_pttip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, char *, int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_435;
    char *t_436;
    char *t_437;
    int t_438;
    PMC *t_439;
    Parrot_init_arg_nci(interp, &st, "PSSIP");
    t_435 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_436 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_437 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_438 = (int)GET_NCI_I(3);
    t_439 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_435),t_436,t_437,t_438,PMC_data(t_439));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_436) string_cstring_free(t_436); } while (0);
    do { if (t_437) string_cstring_free(t_437); } while (0);
}
static void
pcf_p_ptipppi(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int, void *, void *, void *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_440;
    char *t_441;
    int t_442;
    PMC *t_443;
    PMC *t_444;
    PMC *t_445;
    int t_446;
    Parrot_init_arg_nci(interp, &st, "PSIPPPI");
    t_440 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_441 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_442 = (int)GET_NCI_I(2);
    t_443 = GET_NCI_P(3);
    t_444 = GET_NCI_P(4);
    t_445 = GET_NCI_P(5);
    t_446 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_440),t_441,t_442,PMC_data(t_443),PMC_data(t_444),PMC_data(t_445),t_446);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_441) string_cstring_free(t_441); } while (0);
}
static void
pcf_p_ppP(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *, PMC *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_447;
    PMC *t_448;
    PMC *t_449;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_447 = GET_NCI_P(0);
    t_448 = GET_NCI_P(1);
    t_449 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_447),PMC_data(t_448),PMC_IS_NULL(t_449) ? NULL : t_449);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiil(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, long);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_450;
    int t_451;
    int t_452;
    long t_453;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_450 = (int)GET_NCI_I(0);
    t_451 = (int)GET_NCI_I(1);
    t_452 = (int)GET_NCI_I(2);
    t_453 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_450,t_451,t_452,t_453);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_ppl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_454;
    PMC *t_455;
    long t_456;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_454 = GET_NCI_P(0);
    t_455 = GET_NCI_P(1);
    t_456 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_454),PMC_data(t_455),t_456);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_pip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_457;
    int t_458;
    PMC *t_459;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_457 = GET_NCI_P(0);
    t_458 = (int)GET_NCI_I(1);
    t_459 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_457),t_458,PMC_data(t_459));
    
    
    
}
static void
pcf_p_pti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_460;
    char *t_461;
    int t_462;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_460 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_461 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_462 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_460),t_461,t_462);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_461) string_cstring_free(t_461); } while (0);
}
static void
pcf_i_ppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_463;
    PMC *t_464;
    PMC *t_465;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_463 = GET_NCI_P(0);
    t_464 = GET_NCI_P(1);
    t_465 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_463),PMC_data(t_464),PMC_data(t_465));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_ti(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_466;
    int t_467;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_466 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_467 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_466,t_467);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_466) string_cstring_free(t_466); } while (0);
}
static void
pcf_p_ptp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, char *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_468;
    char *t_469;
    PMC *t_470;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_468 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_469 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_470 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_468),t_469,PMC_data(t_470));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_469) string_cstring_free(t_469); } while (0);
}
static void
pcf_i_pt33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg2;
    int arg3;
    PMC *t_471;
    char *t_472;
    PMC *t_473;
    PMC *t_474;
    Parrot_init_arg_nci(interp, &st, "PSPP");
    t_471 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_472 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_473 = GET_NCI_P(2);
    t_474 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_473);
    arg3 = PMC_int_val(t_474);
    return_data =  (int)(*pointer)(PMC_data(t_471),t_472,&arg2,&arg3);
    PMC_int_val(t_473) = arg2;
    PMC_int_val(t_474) = arg3;
    set_nci_I(interp, &st, return_data);
    do { if (t_472) string_cstring_free(t_472); } while (0);
}
static void
pcf_c_(PARROT_INTERP, PMC *self)
{
    char (*pointer)(void);
    char return_data;
    
    call_state st;
    

    pointer =  (char (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (char)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_pi(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    char return_data;
    
    PMC *t_475;
    int t_476;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_475 = GET_NCI_P(0);
    t_476 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(PMC_data(t_475),t_476);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_d_(PARROT_INTERP, PMC *self)
{
    double (*pointer)(void);
    double return_data;
    
    call_state st;
    

    pointer =  (double (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (double)(*pointer)();
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_d_d(PARROT_INTERP, PMC *self)
{
    typedef double (*func_t)(double);
    func_t pointer;
    call_state st;
    double return_data;
    
    double t_477;
    Parrot_init_arg_nci(interp, &st, "N");
    t_477 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (double)(*pointer)(t_477);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_(PARROT_INTERP, PMC *self)
{
    float (*pointer)(void);
    float return_data;
    
    call_state st;
    

    pointer =  (float (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (float)(*pointer)();
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_ff(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(float, float);
    func_t pointer;
    call_state st;
    float return_data;
    
    float t_478;
    float t_479;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_478 = (float)GET_NCI_N(0);
    t_479 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_478,t_479);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_f_is(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(int, short);
    func_t pointer;
    call_state st;
    float return_data;
    
    int t_480;
    short t_481;
    Parrot_init_arg_nci(interp, &st, "II");
    t_480 = (int)GET_NCI_I(0);
    t_481 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_480,t_481);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_i_b(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    STRING *t_482;
    Parrot_init_arg_nci(interp, &st, "S");
    t_482 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PObj_bufstart(t_482));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_d(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_483;
    Parrot_init_arg_nci(interp, &st, "N");
    t_483 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_483);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_484;
    Parrot_init_arg_nci(interp, &st, "I");
    t_484 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_484);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_485;
    int t_486;
    Parrot_init_arg_nci(interp, &st, "II");
    t_485 = (int)GET_NCI_I(0);
    t_486 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_485,t_486);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg2;
    int t_487;
    int t_488;
    PMC *t_489;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_487 = (int)GET_NCI_I(0);
    t_488 = (int)GET_NCI_I(1);
    t_489 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_489);
    return_data =  (int)(*pointer)(t_487,t_488,&arg2);
    PMC_int_val(t_489) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ii4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg2;
    int t_490;
    int t_491;
    PMC *t_492;
    int t_493;
    Parrot_init_arg_nci(interp, &st, "IIPI");
    t_490 = (int)GET_NCI_I(0);
    t_491 = (int)GET_NCI_I(1);
    t_492 = GET_NCI_P(2);
    t_493 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_492);
    return_data =  (int)(*pointer)(t_490,t_491,&arg2,t_493);
    PMC_int_val(t_492) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_494;
    int t_495;
    int t_496;
    int t_497;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_494 = (int)GET_NCI_I(0);
    t_495 = (int)GET_NCI_I(1);
    t_496 = (int)GET_NCI_I(2);
    t_497 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_494,t_495,t_496,t_497);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_498;
    int t_499;
    int t_500;
    long t_501;
    short t_502;
    PMC *t_503;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_498 = (int)GET_NCI_I(0);
    t_499 = (int)GET_NCI_I(1);
    t_500 = (int)GET_NCI_I(2);
    t_501 = (long)GET_NCI_I(3);
    t_502 = (short)GET_NCI_I(4);
    t_503 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_498,t_499,t_500,t_501,t_502,PMC_data(t_503));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iil(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_504;
    int t_505;
    long t_506;
    Parrot_init_arg_nci(interp, &st, "III");
    t_504 = (int)GET_NCI_I(0);
    t_505 = (int)GET_NCI_I(1);
    t_506 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_504,t_505,t_506);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iili(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_507;
    int t_508;
    long t_509;
    int t_510;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_507 = (int)GET_NCI_I(0);
    t_508 = (int)GET_NCI_I(1);
    t_509 = (long)GET_NCI_I(2);
    t_510 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_507,t_508,t_509,t_510);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_511;
    int t_512;
    PMC *t_513;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_511 = (int)GET_NCI_I(0);
    t_512 = (int)GET_NCI_I(1);
    t_513 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_511,t_512,PMC_data(t_513));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_514;
    int t_515;
    char *t_516;
    Parrot_init_arg_nci(interp, &st, "IIS");
    t_514 = (int)GET_NCI_I(0);
    t_515 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_516 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_514,t_515,t_516);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_516) string_cstring_free(t_516); } while (0);
}
static void
pcf_i_iiti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_517;
    int t_518;
    char *t_519;
    int t_520;
    Parrot_init_arg_nci(interp, &st, "IISI");
    t_517 = (int)GET_NCI_I(0);
    t_518 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_519 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_520 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_517,t_518,t_519,t_520);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_519) string_cstring_free(t_519); } while (0);
}
static void
pcf_i_ilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_521;
    long t_522;
    short t_523;
    PMC *t_524;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_521 = (int)GET_NCI_I(0);
    t_522 = (long)GET_NCI_I(1);
    t_523 = (short)GET_NCI_I(2);
    t_524 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_521,t_522,t_523,PMC_data(t_524));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_525;
    char *t_526;
    int t_527;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_525 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_526 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_527 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_525,t_526,t_527);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_526) string_cstring_free(t_526); } while (0);
}
static void
pcf_i_l(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_528;
    Parrot_init_arg_nci(interp, &st, "I");
    t_528 = (long)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_528);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_li(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_529;
    int t_530;
    Parrot_init_arg_nci(interp, &st, "II");
    t_529 = (long)GET_NCI_I(0);
    t_530 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_529,t_530);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_lp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_531;
    PMC *t_532;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_531 = (long)GET_NCI_I(0);
    t_532 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_531,PMC_data(t_532));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_lsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    long t_533;
    short t_534;
    PMC *t_535;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_533 = (long)GET_NCI_I(0);
    t_534 = (short)GET_NCI_I(1);
    t_535 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_533,t_534,PMC_data(t_535));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    PMC *t_536;
    PMC *t_537;
    PMC *t_538;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_536 = GET_NCI_P(0);
    t_537 = GET_NCI_P(1);
    t_538 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_537);
    arg2 = PMC_int_val(t_538);
    return_data =  (int)(*pointer)(PMC_data(t_536),&arg1,&arg2);
    PMC_int_val(t_537) = arg1;
    PMC_int_val(t_538) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p333(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    int arg3;
    PMC *t_539;
    PMC *t_540;
    PMC *t_541;
    PMC *t_542;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_539 = GET_NCI_P(0);
    t_540 = GET_NCI_P(1);
    t_541 = GET_NCI_P(2);
    t_542 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_540);
    arg2 = PMC_int_val(t_541);
    arg3 = PMC_int_val(t_542);
    return_data =  (int)(*pointer)(PMC_data(t_539),&arg1,&arg2,&arg3);
    PMC_int_val(t_540) = arg1;
    PMC_int_val(t_541) = arg2;
    PMC_int_val(t_542) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p333333(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int *, int *, int *, int *, int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int arg2;
    int arg3;
    int arg4;
    int arg5;
    int arg6;
    PMC *t_543;
    PMC *t_544;
    PMC *t_545;
    PMC *t_546;
    PMC *t_547;
    PMC *t_548;
    PMC *t_549;
    Parrot_init_arg_nci(interp, &st, "PPPPPPP");
    t_543 = GET_NCI_P(0);
    t_544 = GET_NCI_P(1);
    t_545 = GET_NCI_P(2);
    t_546 = GET_NCI_P(3);
    t_547 = GET_NCI_P(4);
    t_548 = GET_NCI_P(5);
    t_549 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_544);
    arg2 = PMC_int_val(t_545);
    arg3 = PMC_int_val(t_546);
    arg4 = PMC_int_val(t_547);
    arg5 = PMC_int_val(t_548);
    arg6 = PMC_int_val(t_549);
    return_data =  (int)(*pointer)(PMC_data(t_543),&arg1,&arg2,&arg3,&arg4,&arg5,&arg6);
    PMC_int_val(t_544) = arg1;
    PMC_int_val(t_545) = arg2;
    PMC_int_val(t_546) = arg3;
    PMC_int_val(t_547) = arg4;
    PMC_int_val(t_548) = arg5;
    PMC_int_val(t_549) = arg6;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    PMC *t_550;
    PMC *t_551;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_550 = GET_NCI_P(0);
    t_551 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_551);
    return_data =  (int)(*pointer)(PMC_data(t_550),&arg1);
    PMC_int_val(t_551) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p42p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *, short *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    short arg2;
    PMC *t_552;
    PMC *t_553;
    PMC* t_554;
    PMC *t_555;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_552 = GET_NCI_P(0);
    t_553 = GET_NCI_P(1);
    t_554 = GET_NCI_P(2);
    t_555 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_553);
    arg2 = (short)PMC_int_val(t_554);
    return_data =  (int)(*pointer)(PMC_data(t_552),&arg1,&arg2,PMC_data(t_555));
    PMC_int_val(t_553) = arg1;
    PMC_int_val(t_554) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_p4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg1;
    PMC *t_556;
    PMC *t_557;
    int t_558;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_556 = GET_NCI_P(0);
    t_557 = GET_NCI_P(1);
    t_558 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_557);
    return_data =  (int)(*pointer)(PMC_data(t_556),&arg1,t_558);
    PMC_int_val(t_557) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pb(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_559;
    STRING *t_560;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_559 = GET_NCI_P(0);
    t_560 = GET_NCI_S(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_559),PObj_bufstart(t_560));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_561;
    int t_562;
    int t_563;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_561 = GET_NCI_P(0);
    t_562 = (int)GET_NCI_I(1);
    t_563 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_561),t_562,t_563);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg3;
    PMC *t_564;
    int t_565;
    int t_566;
    PMC *t_567;
    Parrot_init_arg_nci(interp, &st, "PIIP");
    t_564 = GET_NCI_P(0);
    t_565 = (int)GET_NCI_I(1);
    t_566 = (int)GET_NCI_I(2);
    t_567 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_567);
    return_data =  (int)(*pointer)(PMC_data(t_564),t_565,t_566,&arg3);
    PMC_int_val(t_567) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pii4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg3;
    PMC *t_568;
    int t_569;
    int t_570;
    PMC *t_571;
    int t_572;
    Parrot_init_arg_nci(interp, &st, "PIIPI");
    t_568 = GET_NCI_P(0);
    t_569 = (int)GET_NCI_I(1);
    t_570 = (int)GET_NCI_I(2);
    t_571 = GET_NCI_P(3);
    t_572 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg3 = PMC_int_val(t_571);
    return_data =  (int)(*pointer)(PMC_data(t_568),t_569,t_570,&arg3,t_572);
    PMC_int_val(t_571) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_573;
    int t_574;
    int t_575;
    int t_576;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_573 = GET_NCI_P(0);
    t_574 = (int)GET_NCI_I(1);
    t_575 = (int)GET_NCI_I(2);
    t_576 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_573),t_574,t_575,t_576);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piiiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_577;
    int t_578;
    int t_579;
    int t_580;
    int t_581;
    int t_582;
    int t_583;
    Parrot_init_arg_nci(interp, &st, "PIIIIII");
    t_577 = GET_NCI_P(0);
    t_578 = (int)GET_NCI_I(1);
    t_579 = (int)GET_NCI_I(2);
    t_580 = (int)GET_NCI_I(3);
    t_581 = (int)GET_NCI_I(4);
    t_582 = (int)GET_NCI_I(5);
    t_583 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_577),t_578,t_579,t_580,t_581,t_582,t_583);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piiilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_584;
    int t_585;
    int t_586;
    int t_587;
    long t_588;
    short t_589;
    PMC *t_590;
    Parrot_init_arg_nci(interp, &st, "PIIIIIP");
    t_584 = GET_NCI_P(0);
    t_585 = (int)GET_NCI_I(1);
    t_586 = (int)GET_NCI_I(2);
    t_587 = (int)GET_NCI_I(3);
    t_588 = (long)GET_NCI_I(4);
    t_589 = (short)GET_NCI_I(5);
    t_590 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_584),t_585,t_586,t_587,t_588,t_589,PMC_data(t_590));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piil(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_591;
    int t_592;
    int t_593;
    long t_594;
    Parrot_init_arg_nci(interp, &st, "PIII");
    t_591 = GET_NCI_P(0);
    t_592 = (int)GET_NCI_I(1);
    t_593 = (int)GET_NCI_I(2);
    t_594 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_591),t_592,t_593,t_594);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piili(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_595;
    int t_596;
    int t_597;
    long t_598;
    int t_599;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_595 = GET_NCI_P(0);
    t_596 = (int)GET_NCI_I(1);
    t_597 = (int)GET_NCI_I(2);
    t_598 = (long)GET_NCI_I(3);
    t_599 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_595),t_596,t_597,t_598,t_599);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_piit(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_600;
    int t_601;
    int t_602;
    char *t_603;
    Parrot_init_arg_nci(interp, &st, "PIIS");
    t_600 = GET_NCI_P(0);
    t_601 = (int)GET_NCI_I(1);
    t_602 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_603 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_600),t_601,t_602,t_603);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_603) string_cstring_free(t_603); } while (0);
}
static void
pcf_i_piiti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, int, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_604;
    int t_605;
    int t_606;
    char *t_607;
    int t_608;
    Parrot_init_arg_nci(interp, &st, "PIISI");
    t_604 = GET_NCI_P(0);
    t_605 = (int)GET_NCI_I(1);
    t_606 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_607 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_608 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_604),t_605,t_606,t_607,t_608);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_607) string_cstring_free(t_607); } while (0);
}
static void
pcf_i_pilsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_609;
    int t_610;
    long t_611;
    short t_612;
    PMC *t_613;
    Parrot_init_arg_nci(interp, &st, "PIIIP");
    t_609 = GET_NCI_P(0);
    t_610 = (int)GET_NCI_I(1);
    t_611 = (long)GET_NCI_I(2);
    t_612 = (short)GET_NCI_I(3);
    t_613 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_609),t_610,t_611,t_612,PMC_data(t_613));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pli(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_614;
    long t_615;
    int t_616;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_614 = GET_NCI_P(0);
    t_615 = (long)GET_NCI_I(1);
    t_616 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_614),t_615,t_616);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pll(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_617;
    long t_618;
    long t_619;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_617 = GET_NCI_P(0);
    t_618 = (long)GET_NCI_I(1);
    t_619 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_617),t_618,t_619);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pllllllll(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, long, long, long, long, long, long, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_620;
    long t_621;
    long t_622;
    long t_623;
    long t_624;
    long t_625;
    long t_626;
    long t_627;
    long t_628;
    Parrot_init_arg_nci(interp, &st, "PIIIIIIII");
    t_620 = GET_NCI_P(0);
    t_621 = (long)GET_NCI_I(1);
    t_622 = (long)GET_NCI_I(2);
    t_623 = (long)GET_NCI_I(3);
    t_624 = (long)GET_NCI_I(4);
    t_625 = (long)GET_NCI_I(5);
    t_626 = (long)GET_NCI_I(6);
    t_627 = (long)GET_NCI_I(7);
    t_628 = (long)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_620),t_621,t_622,t_623,t_624,t_625,t_626,t_627,t_628);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_plp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_629;
    long t_630;
    PMC *t_631;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_629 = GET_NCI_P(0);
    t_630 = (long)GET_NCI_I(1);
    t_631 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_629),t_630,PMC_data(t_631));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_plsp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, long, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_632;
    long t_633;
    short t_634;
    PMC *t_635;
    Parrot_init_arg_nci(interp, &st, "PIIP");
    t_632 = GET_NCI_P(0);
    t_633 = (long)GET_NCI_I(1);
    t_634 = (short)GET_NCI_I(2);
    t_635 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_632),t_633,t_634,PMC_data(t_635));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_636;
    PMC *t_637;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_636 = GET_NCI_P(0);
    t_637 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_636),PMC_data(t_637));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ppi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_638;
    PMC *t_639;
    int t_640;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_638 = GET_NCI_P(0);
    t_639 = GET_NCI_P(1);
    t_640 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_638),PMC_data(t_639),t_640);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ppiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_641;
    PMC *t_642;
    int t_643;
    int t_644;
    int t_645;
    int t_646;
    int t_647;
    int t_648;
    int t_649;
    int t_650;
    Parrot_init_arg_nci(interp, &st, "PPIIIIIIII");
    t_641 = GET_NCI_P(0);
    t_642 = GET_NCI_P(1);
    t_643 = (int)GET_NCI_I(2);
    t_644 = (int)GET_NCI_I(3);
    t_645 = (int)GET_NCI_I(4);
    t_646 = (int)GET_NCI_I(5);
    t_647 = (int)GET_NCI_I(6);
    t_648 = (int)GET_NCI_I(7);
    t_649 = (int)GET_NCI_I(8);
    t_650 = (int)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_641),PMC_data(t_642),t_643,t_644,t_645,t_646,t_647,t_648,t_649,t_650);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_651;
    PMC *t_652;
    PMC *t_653;
    PMC *t_654;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_651 = GET_NCI_P(0);
    t_652 = GET_NCI_P(1);
    t_653 = GET_NCI_P(2);
    t_654 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_651),PMC_data(t_652),PMC_data(t_653),PMC_data(t_654));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_psp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_655;
    short t_656;
    PMC *t_657;
    Parrot_init_arg_nci(interp, &st, "PIP");
    t_655 = GET_NCI_P(0);
    t_656 = (short)GET_NCI_I(1);
    t_657 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_655),t_656,PMC_data(t_657));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_658;
    char *t_659;
    int t_660;
    Parrot_init_arg_nci(interp, &st, "PSI");
    t_658 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_659 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_660 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_658),t_659,t_660);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_659) string_cstring_free(t_659); } while (0);
}
static void
pcf_i_pitl(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, int, char *, long);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_661;
    int t_662;
    char *t_663;
    long t_664;
    Parrot_init_arg_nci(interp, &st, "PISI");
    t_661 = GET_NCI_P(0);
    t_662 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_663 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_664 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_661),t_662,t_663,t_664);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_663) string_cstring_free(t_663); } while (0);
}
static void
pcf_i_s(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_665;
    Parrot_init_arg_nci(interp, &st, "I");
    t_665 = (short)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_665);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_s22(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short *, short *);
    func_t pointer;
    call_state st;
    int return_data;
    short arg1;
    short arg2;
    short t_666;
    PMC* t_667;
    PMC* t_668;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_666 = (short)GET_NCI_I(0);
    t_667 = GET_NCI_P(1);
    t_668 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = (short)PMC_int_val(t_667);
    arg2 = (short)PMC_int_val(t_668);
    return_data =  (int)(*pointer)(t_666,&arg1,&arg2);
    PMC_int_val(t_667) = arg1;
    PMC_int_val(t_668) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_s222(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short *, short *, short *);
    func_t pointer;
    call_state st;
    int return_data;
    short arg1;
    short arg2;
    short arg3;
    short t_669;
    PMC* t_670;
    PMC* t_671;
    PMC* t_672;
    Parrot_init_arg_nci(interp, &st, "IPPP");
    t_669 = (short)GET_NCI_I(0);
    t_670 = GET_NCI_P(1);
    t_671 = GET_NCI_P(2);
    t_672 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = (short)PMC_int_val(t_670);
    arg2 = (short)PMC_int_val(t_671);
    arg3 = (short)PMC_int_val(t_672);
    return_data =  (int)(*pointer)(t_669,&arg1,&arg2,&arg3);
    PMC_int_val(t_670) = arg1;
    PMC_int_val(t_671) = arg2;
    PMC_int_val(t_672) = arg3;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_sp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_673;
    PMC *t_674;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_673 = (short)GET_NCI_I(0);
    t_674 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_673,PMC_data(t_674));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_sss(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short, short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_675;
    short t_676;
    short t_677;
    Parrot_init_arg_nci(interp, &st, "III");
    t_675 = (short)GET_NCI_I(0);
    t_676 = (short)GET_NCI_I(1);
    t_677 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_675,t_676,t_677);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ssss(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, short, short, short);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_678;
    short t_679;
    short t_680;
    short t_681;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_678 = (short)GET_NCI_I(0);
    t_679 = (short)GET_NCI_I(1);
    t_680 = (short)GET_NCI_I(2);
    t_681 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_678,t_679,t_680,t_681);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_t(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_682;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_682 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_682);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_682) string_cstring_free(t_682); } while (0);
}
static void
pcf_i_ti(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_683;
    int t_684;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_683 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_684 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_683,t_684);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_683) string_cstring_free(t_683); } while (0);
}
static void
pcf_i_4(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    PMC *t_685;
    Parrot_init_arg_nci(interp, &st, "P");
    t_685 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_685);
    return_data =  (int)(*pointer)(&arg0);
    PMC_int_val(t_685) = arg0;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_4i(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *, int);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    PMC *t_686;
    int t_687;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_686 = GET_NCI_P(0);
    t_687 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_686);
    return_data =  (int)(*pointer)(&arg0,t_687);
    PMC_int_val(t_686) = arg0;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_42p(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(long *, short *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    long arg0;
    short arg1;
    PMC *t_688;
    PMC* t_689;
    PMC *t_690;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_688 = GET_NCI_P(0);
    t_689 = GET_NCI_P(1);
    t_690 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_688);
    arg1 = (short)PMC_int_val(t_689);
    return_data =  (int)(*pointer)(&arg0,&arg1,PMC_data(t_690));
    PMC_int_val(t_688) = arg0;
    PMC_int_val(t_689) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_ii(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(int, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    int t_691;
    int t_692;
    Parrot_init_arg_nci(interp, &st, "II");
    t_691 = (int)GET_NCI_I(0);
    t_692 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(t_691,t_692);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_l4(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(long, long *);
    func_t pointer;
    call_state st;
    long return_data;
    long arg1;
    long t_693;
    PMC *t_694;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_693 = (long)GET_NCI_I(0);
    t_694 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_694);
    return_data =  (long)(*pointer)(t_693,&arg1);
    PMC_int_val(t_694) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_pi(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_695;
    int t_696;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_695 = GET_NCI_P(0);
    t_696 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_695),t_696);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_pii(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    long return_data;
    
    PMC *t_697;
    int t_698;
    int t_699;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_697 = GET_NCI_P(0);
    t_698 = (int)GET_NCI_I(1);
    t_699 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (long)(*pointer)(PMC_data(t_697),t_698,t_699);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_p33l(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(void *, int *, int *, long);
    func_t pointer;
    call_state st;
    long return_data;
    int arg1;
    int arg2;
    PMC *t_700;
    PMC *t_701;
    PMC *t_702;
    long t_703;
    Parrot_init_arg_nci(interp, &st, "PPPI");
    t_700 = GET_NCI_P(0);
    t_701 = GET_NCI_P(1);
    t_702 = GET_NCI_P(2);
    t_703 = (long)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_701);
    arg2 = PMC_int_val(t_702);
    return_data =  (long)(*pointer)(PMC_data(t_700),&arg1,&arg2,t_703);
    PMC_int_val(t_701) = arg1;
    PMC_int_val(t_702) = arg2;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_l_33l(PARROT_INTERP, PMC *self)
{
    typedef long (*func_t)(int *, int *, long);
    func_t pointer;
    call_state st;
    long return_data;
    int arg0;
    int arg1;
    PMC *t_704;
    PMC *t_705;
    long t_706;
    Parrot_init_arg_nci(interp, &st, "PPI");
    t_704 = GET_NCI_P(0);
    t_705 = GET_NCI_P(1);
    t_706 = (long)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_704);
    arg1 = PMC_int_val(t_705);
    return_data =  (long)(*pointer)(&arg0,&arg1,t_706);
    PMC_int_val(t_704) = arg0;
    PMC_int_val(t_705) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_p_(PARROT_INTERP, PMC *self)
{
    void * (*pointer)(void);
    void * return_data;
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);
    call_state st;
    

    pointer =  (void * (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (void *)(*pointer)();
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_B(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void **);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_707;
    Parrot_init_arg_nci(interp, &st, "S");
    t_707 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(&PObj_bufstart(t_707));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_b(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);STRING *t_708;
    Parrot_init_arg_nci(interp, &st, "S");
    t_708 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PObj_bufstart(t_708));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_Jt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_710;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_710 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(interp,t_710);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_710) string_cstring_free(t_710); } while (0);
}
static void
pcf_p_i(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_711;
    Parrot_init_arg_nci(interp, &st, "I");
    t_711 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_711);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_ii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_712;
    int t_713;
    Parrot_init_arg_nci(interp, &st, "II");
    t_712 = (int)GET_NCI_I(0);
    t_713 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_712,t_713);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_714;
    int t_715;
    int t_716;
    int t_717;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_714 = (int)GET_NCI_I(0);
    t_715 = (int)GET_NCI_I(1);
    t_716 = (int)GET_NCI_I(2);
    t_717 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_714,t_715,t_716,t_717);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_718;
    int t_719;
    int t_720;
    int t_721;
    int t_722;
    int t_723;
    Parrot_init_arg_nci(interp, &st, "IIIIII");
    t_718 = (int)GET_NCI_I(0);
    t_719 = (int)GET_NCI_I(1);
    t_720 = (int)GET_NCI_I(2);
    t_721 = (int)GET_NCI_I(3);
    t_722 = (int)GET_NCI_I(4);
    t_723 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_718,t_719,t_720,t_721,t_722,t_723);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_iiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_724;
    int t_725;
    int t_726;
    int t_727;
    int t_728;
    int t_729;
    int t_730;
    int t_731;
    Parrot_init_arg_nci(interp, &st, "IIIIIIII");
    t_724 = (int)GET_NCI_I(0);
    t_725 = (int)GET_NCI_I(1);
    t_726 = (int)GET_NCI_I(2);
    t_727 = (int)GET_NCI_I(3);
    t_728 = (int)GET_NCI_I(4);
    t_729 = (int)GET_NCI_I(5);
    t_730 = (int)GET_NCI_I(6);
    t_731 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_724,t_725,t_726,t_727,t_728,t_729,t_730,t_731);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_pii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_732;
    int t_733;
    int t_734;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_732 = GET_NCI_P(0);
    t_733 = (int)GET_NCI_I(1);
    t_734 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_732),t_733,t_734);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_piiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_735;
    int t_736;
    int t_737;
    int t_738;
    int t_739;
    Parrot_init_arg_nci(interp, &st, "PIIII");
    t_735 = GET_NCI_P(0);
    t_736 = (int)GET_NCI_I(1);
    t_737 = (int)GET_NCI_I(2);
    t_738 = (int)GET_NCI_I(3);
    t_739 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_735),t_736,t_737,t_738,t_739);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_t(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_740;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_740 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_740);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_740) string_cstring_free(t_740); } while (0);
}
static void
pcf_p_tpp(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, void *, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_741;
    PMC *t_742;
    PMC *t_743;
    Parrot_init_arg_nci(interp, &st, "SPP");
    {STRING * s= GET_NCI_S(0); t_741 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_742 = GET_NCI_P(1);
    t_743 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_741,PMC_data(t_742),PMC_data(t_743));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_741) string_cstring_free(t_741); } while (0);
}
static void
pcf_p_ttttttt(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(char *, char *, char *, char *, char *, char *, char *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);char *t_744;
    char *t_745;
    char *t_746;
    char *t_747;
    char *t_748;
    char *t_749;
    char *t_750;
    Parrot_init_arg_nci(interp, &st, "SSSSSSS");
    {STRING * s= GET_NCI_S(0); t_744 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(1); t_745 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(2); t_746 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(3); t_747 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(4); t_748 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(5); t_749 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    {STRING * s= GET_NCI_S(6); t_750 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_744,t_745,t_746,t_747,t_748,t_749,t_750);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    do { if (t_744) string_cstring_free(t_744); } while (0);
    do { if (t_745) string_cstring_free(t_745); } while (0);
    do { if (t_746) string_cstring_free(t_746); } while (0);
    do { if (t_747) string_cstring_free(t_747); } while (0);
    do { if (t_748) string_cstring_free(t_748); } while (0);
    do { if (t_749) string_cstring_free(t_749); } while (0);
    do { if (t_750) string_cstring_free(t_750); } while (0);
}
static void
pcf_s_(PARROT_INTERP, PMC *self)
{
    short (*pointer)(void);
    short return_data;
    
    call_state st;
    

    pointer =  (short (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (short)(*pointer)();
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_t_(PARROT_INTERP, PMC *self)
{
    char * (*pointer)(void);
    char * return_data;
    STRING *final_destination;
    call_state st;
    

    pointer =  (char * (*)(void))D2FPTR(PMC_struct_val(self));
    return_data =  (char *)(*pointer)();
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_i(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;int t_751;
    Parrot_init_arg_nci(interp, &st, "I");
    t_751 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_751);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_ii(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(int, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;int t_752;
    int t_753;
    Parrot_init_arg_nci(interp, &st, "II");
    t_752 = (int)GET_NCI_I(0);
    t_753 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_752,t_753);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pi(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_754;
    int t_755;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_754 = GET_NCI_P(0);
    t_755 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_754),t_755);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_pii(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;PMC *t_756;
    int t_757;
    int t_758;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_756 = GET_NCI_P(0);
    t_757 = (int)GET_NCI_I(1);
    t_758 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PMC_data(t_756),t_757,t_758);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_t(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;char *t_759;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_759 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(t_759);
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_759) string_cstring_free(t_759); } while (0);
}
static void
pcf_t_tl4(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, long, long *);
    func_t pointer;
    call_state st;
    char * return_data;
    long arg2;
    STRING *final_destination;char *t_760;
    long t_761;
    PMC *t_762;
    Parrot_init_arg_nci(interp, &st, "SIP");
    {STRING * s= GET_NCI_S(0); t_760 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_761 = (long)GET_NCI_I(1);
    t_762 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg2 = PMC_int_val(t_762);
    return_data =  (char *)(*pointer)(t_760,t_761,&arg2);
    PMC_int_val(t_762) = arg2;
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_760) string_cstring_free(t_760); } while (0);
}
static void
pcf_t_t4(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(char *, long *);
    func_t pointer;
    call_state st;
    char * return_data;
    long arg1;
    STRING *final_destination;char *t_763;
    PMC *t_764;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_763 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_764 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_764);
    return_data =  (char *)(*pointer)(t_763,&arg1);
    PMC_int_val(t_764) = arg1;
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    do { if (t_763) string_cstring_free(t_763); } while (0);
}
static void
pcf_i_sc(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(short, char);
    func_t pointer;
    call_state st;
    int return_data;
    
    short t_765;
    char t_766;
    Parrot_init_arg_nci(interp, &st, "II");
    t_765 = (short)GET_NCI_I(0);
    t_766 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_765,t_766);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_s_sc(PARROT_INTERP, PMC *self)
{
    typedef short (*func_t)(short, char);
    func_t pointer;
    call_state st;
    short return_data;
    
    short t_767;
    char t_768;
    Parrot_init_arg_nci(interp, &st, "II");
    t_767 = (short)GET_NCI_I(0);
    t_768 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (short)(*pointer)(t_767,t_768);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_sc(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(short, char);
    func_t pointer;
    call_state st;
    char return_data;
    
    short t_769;
    char t_770;
    Parrot_init_arg_nci(interp, &st, "II");
    t_769 = (short)GET_NCI_I(0);
    t_770 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_769,t_770);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_771;
    int t_772;
    int t_773;
    Parrot_init_arg_nci(interp, &st, "III");
    t_771 = (int)GET_NCI_I(0);
    t_772 = (int)GET_NCI_I(1);
    t_773 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_771,t_772,t_773);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_i3(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg1;
    int t_774;
    PMC *t_775;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_774 = (int)GET_NCI_I(0);
    t_775 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg1 = PMC_int_val(t_775);
    return_data =  (int)(*pointer)(t_774,&arg1);
    PMC_int_val(t_775) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_t_b(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void *);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;STRING *t_776;
    Parrot_init_arg_nci(interp, &st, "S");
    t_776 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(PObj_bufstart(t_776));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_t_B(PARROT_INTERP, PMC *self)
{
    typedef char * (*func_t)(void **);
    func_t pointer;
    call_state st;
    char * return_data;
    
    STRING *final_destination;STRING *t_777;
    Parrot_init_arg_nci(interp, &st, "S");
    t_777 = GET_NCI_S(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char *)(*pointer)(&PObj_bufstart(t_777));
    
    final_destination = string_from_cstring(interp, return_data, 0);
    set_nci_S(interp, &st, final_destination);
    
}
static void
pcf_v_P(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_778;
    Parrot_init_arg_nci(interp, &st, "P");
    t_778 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_IS_NULL(t_778) ? NULL : t_778);
    
    
    
}
static void
pcf_v_pP(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_779;
    PMC *t_780;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_779 = GET_NCI_P(0);
    t_780 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_779),PMC_IS_NULL(t_780) ? NULL : t_780);
    
    
    
}
static void
pcf_p_ip(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);int t_781;
    PMC *t_782;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_781 = (int)GET_NCI_I(0);
    t_782 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(t_781,PMC_data(t_782));
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_33(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int *, int *);
    func_t pointer;
    call_state st;
    int return_data;
    int arg0;
    int arg1;
    PMC *t_783;
    PMC *t_784;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_783 = GET_NCI_P(0);
    t_784 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_783);
    arg1 = PMC_int_val(t_784);
    return_data =  (int)(*pointer)(&arg0,&arg1);
    PMC_int_val(t_783) = arg0;
    PMC_int_val(t_784) = arg1;
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_pii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_785;
    int t_786;
    int t_787;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_785 = GET_NCI_P(0);
    t_786 = (int)GET_NCI_I(1);
    t_787 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_785),t_786,t_787);
    
    
    
}
static void
pcf_v_JO(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_789;
    Parrot_init_arg_nci(interp, &st, "P");
    t_789 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_789) ? NULL : t_789);
    
    
    
}
static void
pcf_i_JO(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_791;
    Parrot_init_arg_nci(interp, &st, "P");
    t_791 = GET_NCI_P(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_791) ? NULL : t_791);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JOi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_793;
    int t_794;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_793 = GET_NCI_P(0);
    t_794 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_793) ? NULL : t_793,t_794);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_JOt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, PMC *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_796;
    char *t_797;
    Parrot_init_arg_nci(interp, &st, "PS");
    t_796 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_797 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,PMC_IS_NULL(t_796) ? NULL : t_796,t_797);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_797) string_cstring_free(t_797); } while (0);
}
static void
pcf_i_Jt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    char *t_799;
    Parrot_init_arg_nci(interp, &st, "S");
    {STRING * s= GET_NCI_S(0); t_799 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,t_799);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_799) string_cstring_free(t_799); } while (0);
}
static void
pcf_i_Ji(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(PARROT_INTERP, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_801;
    Parrot_init_arg_nci(interp, &st, "I");
    t_801 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(interp,t_801);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_Vi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void **, int);
    func_t pointer;
    call_state st;
    
    void* arg0;
    PMC *t_802;
    int t_803;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_802 = GET_NCI_P(0);
    t_803 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_data(t_802);
     (void)(*pointer)(&arg0,t_803);
    PMC_data(t_802) = arg0;
    
    
}
static void
pcf_p_ppiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_804;
    PMC *t_805;
    int t_806;
    int t_807;
    int t_808;
    Parrot_init_arg_nci(interp, &st, "PPIII");
    t_804 = GET_NCI_P(0);
    t_805 = GET_NCI_P(1);
    t_806 = (int)GET_NCI_I(2);
    t_807 = (int)GET_NCI_I(3);
    t_808 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_804),PMC_data(t_805),t_806,t_807,t_808);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_p_ppiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void * (*func_t)(void *, void *, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    void * return_data;
    
    PMC * const final_destination = pmc_new(interp, enum_class_UnManagedStruct);PMC *t_809;
    PMC *t_810;
    int t_811;
    int t_812;
    int t_813;
    int t_814;
    int t_815;
    int t_816;
    int t_817;
    Parrot_init_arg_nci(interp, &st, "PPIIIIIII");
    t_809 = GET_NCI_P(0);
    t_810 = GET_NCI_P(1);
    t_811 = (int)GET_NCI_I(2);
    t_812 = (int)GET_NCI_I(3);
    t_813 = (int)GET_NCI_I(4);
    t_814 = (int)GET_NCI_I(5);
    t_815 = (int)GET_NCI_I(6);
    t_816 = (int)GET_NCI_I(7);
    t_817 = (int)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (void *)(*pointer)(PMC_data(t_809),PMC_data(t_810),t_811,t_812,t_813,t_814,t_815,t_816,t_817);
    
    PMC_data(final_destination) = return_data;    set_nci_P(interp, &st, final_destination);
    
}
static void
pcf_i_ppt(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, char *);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_818;
    PMC *t_819;
    char *t_820;
    Parrot_init_arg_nci(interp, &st, "PPS");
    t_818 = GET_NCI_P(0);
    t_819 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_820 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_818),PMC_data(t_819),t_820);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_820) string_cstring_free(t_820); } while (0);
}
static void
pcf_i_pppi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_821;
    PMC *t_822;
    PMC *t_823;
    int t_824;
    Parrot_init_arg_nci(interp, &st, "PPPI");
    t_821 = GET_NCI_P(0);
    t_822 = GET_NCI_P(1);
    t_823 = GET_NCI_P(2);
    t_824 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_821),PMC_data(t_822),PMC_data(t_823),t_824);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_825;
    PMC *t_826;
    PMC *t_827;
    int t_828;
    int t_829;
    Parrot_init_arg_nci(interp, &st, "PPPII");
    t_825 = GET_NCI_P(0);
    t_826 = GET_NCI_P(1);
    t_827 = GET_NCI_P(2);
    t_828 = (int)GET_NCI_I(3);
    t_829 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_825),PMC_data(t_826),PMC_data(t_827),t_828,t_829);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_pppiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_830;
    PMC *t_831;
    PMC *t_832;
    int t_833;
    int t_834;
    int t_835;
    int t_836;
    Parrot_init_arg_nci(interp, &st, "PPPIIII");
    t_830 = GET_NCI_P(0);
    t_831 = GET_NCI_P(1);
    t_832 = GET_NCI_P(2);
    t_833 = (int)GET_NCI_I(3);
    t_834 = (int)GET_NCI_I(4);
    t_835 = (int)GET_NCI_I(5);
    t_836 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_830),PMC_data(t_831),PMC_data(t_832),t_833,t_834,t_835,t_836);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ppppiiiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(void *, void *, void *, void *, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    PMC *t_837;
    PMC *t_838;
    PMC *t_839;
    PMC *t_840;
    int t_841;
    int t_842;
    int t_843;
    int t_844;
    int t_845;
    int t_846;
    Parrot_init_arg_nci(interp, &st, "PPPPIIIIII");
    t_837 = GET_NCI_P(0);
    t_838 = GET_NCI_P(1);
    t_839 = GET_NCI_P(2);
    t_840 = GET_NCI_P(3);
    t_841 = (int)GET_NCI_I(4);
    t_842 = (int)GET_NCI_I(5);
    t_843 = (int)GET_NCI_I(6);
    t_844 = (int)GET_NCI_I(7);
    t_845 = (int)GET_NCI_I(8);
    t_846 = (int)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(PMC_data(t_837),PMC_data(t_838),PMC_data(t_839),PMC_data(t_840),t_841,t_842,t_843,t_844,t_845,t_846);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_JPi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_848;
    int t_849;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_848 = GET_NCI_P(0);
    t_849 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_848) ? NULL : t_848,t_849);
    
    
    
}
static void
pcf_v_JPii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(PARROT_INTERP, PMC *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_851;
    int t_852;
    int t_853;
    Parrot_init_arg_nci(interp, &st, "PII");
    t_851 = GET_NCI_P(0);
    t_852 = (int)GET_NCI_I(1);
    t_853 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(interp,PMC_IS_NULL(t_851) ? NULL : t_851,t_852,t_853);
    
    
    
}
static void
pcf_c_i(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_854;
    Parrot_init_arg_nci(interp, &st, "I");
    t_854 = (int)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_854);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_ii(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int, int);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_855;
    int t_856;
    Parrot_init_arg_nci(interp, &st, "II");
    t_855 = (int)GET_NCI_I(0);
    t_856 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_855,t_856);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_c_ipt(PARROT_INTERP, PMC *self)
{
    typedef char (*func_t)(int, void *, char *);
    func_t pointer;
    call_state st;
    char return_data;
    
    int t_857;
    PMC *t_858;
    char *t_859;
    Parrot_init_arg_nci(interp, &st, "IPS");
    t_857 = (int)GET_NCI_I(0);
    t_858 = GET_NCI_P(1);
    {STRING * s= GET_NCI_S(2); t_859 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (char)(*pointer)(t_857,PMC_data(t_858),t_859);
    
    set_nci_I(interp, &st, return_data);
    do { if (t_859) string_cstring_free(t_859); } while (0);
}
static void
pcf_f_ii(PARROT_INTERP, PMC *self)
{
    typedef float (*func_t)(int, int);
    func_t pointer;
    call_state st;
    float return_data;
    
    int t_860;
    int t_861;
    Parrot_init_arg_nci(interp, &st, "II");
    t_860 = (int)GET_NCI_I(0);
    t_861 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (float)(*pointer)(t_860,t_861);
    
    set_nci_N(interp, &st, return_data);
    
}
static void
pcf_i_ddddpppddpppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double, double, double, double, void *, void *, void *, double, double, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_862;
    double t_863;
    double t_864;
    double t_865;
    PMC *t_866;
    PMC *t_867;
    PMC *t_868;
    double t_869;
    double t_870;
    PMC *t_871;
    PMC *t_872;
    PMC *t_873;
    PMC *t_874;
    Parrot_init_arg_nci(interp, &st, "NNNNPPPNNPPPP");
    t_862 = (double)GET_NCI_N(0);
    t_863 = (double)GET_NCI_N(1);
    t_864 = (double)GET_NCI_N(2);
    t_865 = (double)GET_NCI_N(3);
    t_866 = GET_NCI_P(4);
    t_867 = GET_NCI_P(5);
    t_868 = GET_NCI_P(6);
    t_869 = (double)GET_NCI_N(7);
    t_870 = (double)GET_NCI_N(8);
    t_871 = GET_NCI_P(9);
    t_872 = GET_NCI_P(10);
    t_873 = GET_NCI_P(11);
    t_874 = GET_NCI_P(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_862,t_863,t_864,t_865,PMC_data(t_866),PMC_data(t_867),PMC_data(t_868),t_869,t_870,PMC_data(t_871),PMC_data(t_872),PMC_data(t_873),PMC_data(t_874));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_dddpppppp(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(double, double, double, void *, void *, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    double t_875;
    double t_876;
    double t_877;
    PMC *t_878;
    PMC *t_879;
    PMC *t_880;
    PMC *t_881;
    PMC *t_882;
    PMC *t_883;
    Parrot_init_arg_nci(interp, &st, "NNNPPPPPP");
    t_875 = (double)GET_NCI_N(0);
    t_876 = (double)GET_NCI_N(1);
    t_877 = (double)GET_NCI_N(2);
    t_878 = GET_NCI_P(3);
    t_879 = GET_NCI_P(4);
    t_880 = GET_NCI_P(5);
    t_881 = GET_NCI_P(6);
    t_882 = GET_NCI_P(7);
    t_883 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_875,t_876,t_877,PMC_data(t_878),PMC_data(t_879),PMC_data(t_880),PMC_data(t_881),PMC_data(t_882),PMC_data(t_883));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiii(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_884;
    int t_885;
    int t_886;
    int t_887;
    int t_888;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_884 = (int)GET_NCI_I(0);
    t_885 = (int)GET_NCI_I(1);
    t_886 = (int)GET_NCI_I(2);
    t_887 = (int)GET_NCI_I(3);
    t_888 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_884,t_885,t_886,t_887,t_888);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_889;
    int t_890;
    int t_891;
    int t_892;
    int t_893;
    int t_894;
    PMC *t_895;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_889 = (int)GET_NCI_I(0);
    t_890 = (int)GET_NCI_I(1);
    t_891 = (int)GET_NCI_I(2);
    t_892 = (int)GET_NCI_I(3);
    t_893 = (int)GET_NCI_I(4);
    t_894 = (int)GET_NCI_I(5);
    t_895 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_889,t_890,t_891,t_892,t_893,t_894,PMC_data(t_895));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_896;
    int t_897;
    int t_898;
    int t_899;
    int t_900;
    PMC *t_901;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_896 = (int)GET_NCI_I(0);
    t_897 = (int)GET_NCI_I(1);
    t_898 = (int)GET_NCI_I(2);
    t_899 = (int)GET_NCI_I(3);
    t_900 = (int)GET_NCI_I(4);
    t_901 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_896,t_897,t_898,t_899,t_900,PMC_data(t_901));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_iiiipiiip(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, int, int, int, void *, int, int, int, void *);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_902;
    int t_903;
    int t_904;
    int t_905;
    PMC *t_906;
    int t_907;
    int t_908;
    int t_909;
    PMC *t_910;
    Parrot_init_arg_nci(interp, &st, "IIIIPIIIP");
    t_902 = (int)GET_NCI_I(0);
    t_903 = (int)GET_NCI_I(1);
    t_904 = (int)GET_NCI_I(2);
    t_905 = (int)GET_NCI_I(3);
    t_906 = GET_NCI_P(4);
    t_907 = (int)GET_NCI_I(5);
    t_908 = (int)GET_NCI_I(6);
    t_909 = (int)GET_NCI_I(7);
    t_910 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_902,t_903,t_904,t_905,PMC_data(t_906),t_907,t_908,t_909,PMC_data(t_910));
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_i_ipi(PARROT_INTERP, PMC *self)
{
    typedef int (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    int return_data;
    
    int t_911;
    PMC *t_912;
    int t_913;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_911 = (int)GET_NCI_I(0);
    t_912 = GET_NCI_P(1);
    t_913 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
    return_data =  (int)(*pointer)(t_911,PMC_data(t_912),t_913);
    
    set_nci_I(interp, &st, return_data);
    
}
static void
pcf_v_3p(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int *, void *);
    func_t pointer;
    call_state st;
    
    int arg0;
    PMC *t_914;
    PMC *t_915;
    Parrot_init_arg_nci(interp, &st, "PP");
    t_914 = GET_NCI_P(0);
    t_915 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    arg0 = PMC_int_val(t_914);
     (void)(*pointer)(&arg0,PMC_data(t_915));
    PMC_int_val(t_914) = arg0;
    
    
}
static void
pcf_v_c(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char);
    func_t pointer;
    call_state st;
    
    
    char t_916;
    Parrot_init_arg_nci(interp, &st, "I");
    t_916 = (char)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_916);
    
    
    
}
static void
pcf_v_ccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char);
    func_t pointer;
    call_state st;
    
    
    char t_917;
    char t_918;
    char t_919;
    Parrot_init_arg_nci(interp, &st, "III");
    t_917 = (char)GET_NCI_I(0);
    t_918 = (char)GET_NCI_I(1);
    t_919 = (char)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_917,t_918,t_919);
    
    
    
}
static void
pcf_v_cccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char);
    func_t pointer;
    call_state st;
    
    
    char t_920;
    char t_921;
    char t_922;
    char t_923;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_920 = (char)GET_NCI_I(0);
    t_921 = (char)GET_NCI_I(1);
    t_922 = (char)GET_NCI_I(2);
    t_923 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_920,t_921,t_922,t_923);
    
    
    
}
static void
pcf_v_ccccff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char, float, float);
    func_t pointer;
    call_state st;
    
    
    char t_924;
    char t_925;
    char t_926;
    char t_927;
    float t_928;
    float t_929;
    Parrot_init_arg_nci(interp, &st, "IIIINN");
    t_924 = (char)GET_NCI_I(0);
    t_925 = (char)GET_NCI_I(1);
    t_926 = (char)GET_NCI_I(2);
    t_927 = (char)GET_NCI_I(3);
    t_928 = (float)GET_NCI_N(4);
    t_929 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_924,t_925,t_926,t_927,t_928,t_929);
    
    
    
}
static void
pcf_v_ccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    char t_930;
    char t_931;
    char t_932;
    char t_933;
    float t_934;
    float t_935;
    float t_936;
    Parrot_init_arg_nci(interp, &st, "IIIINNN");
    t_930 = (char)GET_NCI_I(0);
    t_931 = (char)GET_NCI_I(1);
    t_932 = (char)GET_NCI_I(2);
    t_933 = (char)GET_NCI_I(3);
    t_934 = (float)GET_NCI_N(4);
    t_935 = (float)GET_NCI_N(5);
    t_936 = (float)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_930,t_931,t_932,t_933,t_934,t_935,t_936);
    
    
    
}
static void
pcf_v_d(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double);
    func_t pointer;
    call_state st;
    
    
    double t_937;
    Parrot_init_arg_nci(interp, &st, "N");
    t_937 = (double)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_937);
    
    
    
}
static void
pcf_v_dd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double);
    func_t pointer;
    call_state st;
    
    
    double t_938;
    double t_939;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_938 = (double)GET_NCI_N(0);
    t_939 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_938,t_939);
    
    
    
}
static void
pcf_v_ddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_940;
    double t_941;
    double t_942;
    Parrot_init_arg_nci(interp, &st, "NNN");
    t_940 = (double)GET_NCI_N(0);
    t_941 = (double)GET_NCI_N(1);
    t_942 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_940,t_941,t_942);
    
    
    
}
static void
pcf_v_dddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_943;
    double t_944;
    double t_945;
    double t_946;
    Parrot_init_arg_nci(interp, &st, "NNNN");
    t_943 = (double)GET_NCI_N(0);
    t_944 = (double)GET_NCI_N(1);
    t_945 = (double)GET_NCI_N(2);
    t_946 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_943,t_944,t_945,t_946);
    
    
    
}
static void
pcf_v_dddddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_947;
    double t_948;
    double t_949;
    double t_950;
    double t_951;
    double t_952;
    Parrot_init_arg_nci(interp, &st, "NNNNNN");
    t_947 = (double)GET_NCI_N(0);
    t_948 = (double)GET_NCI_N(1);
    t_949 = (double)GET_NCI_N(2);
    t_950 = (double)GET_NCI_N(3);
    t_951 = (double)GET_NCI_N(4);
    t_952 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_947,t_948,t_949,t_950,t_951,t_952);
    
    
    
}
static void
pcf_v_ddddddddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, double, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    double t_953;
    double t_954;
    double t_955;
    double t_956;
    double t_957;
    double t_958;
    double t_959;
    double t_960;
    double t_961;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNN");
    t_953 = (double)GET_NCI_N(0);
    t_954 = (double)GET_NCI_N(1);
    t_955 = (double)GET_NCI_N(2);
    t_956 = (double)GET_NCI_N(3);
    t_957 = (double)GET_NCI_N(4);
    t_958 = (double)GET_NCI_N(5);
    t_959 = (double)GET_NCI_N(6);
    t_960 = (double)GET_NCI_N(7);
    t_961 = (double)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_953,t_954,t_955,t_956,t_957,t_958,t_959,t_960,t_961);
    
    
    
}
static void
pcf_v_ddddp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, double, double, void *);
    func_t pointer;
    call_state st;
    
    
    double t_962;
    double t_963;
    double t_964;
    double t_965;
    PMC *t_966;
    Parrot_init_arg_nci(interp, &st, "NNNNP");
    t_962 = (double)GET_NCI_N(0);
    t_963 = (double)GET_NCI_N(1);
    t_964 = (double)GET_NCI_N(2);
    t_965 = (double)GET_NCI_N(3);
    t_966 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_962,t_963,t_964,t_965,PMC_data(t_966));
    
    
    
}
static void
pcf_v_ddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    double t_967;
    double t_968;
    int t_969;
    int t_970;
    Parrot_init_arg_nci(interp, &st, "NNII");
    t_967 = (double)GET_NCI_N(0);
    t_968 = (double)GET_NCI_N(1);
    t_969 = (int)GET_NCI_I(2);
    t_970 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_967,t_968,t_969,t_970);
    
    
    
}
static void
pcf_v_dii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(double, int, int);
    func_t pointer;
    call_state st;
    
    
    double t_971;
    int t_972;
    int t_973;
    Parrot_init_arg_nci(interp, &st, "NII");
    t_971 = (double)GET_NCI_N(0);
    t_972 = (int)GET_NCI_I(1);
    t_973 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_971,t_972,t_973);
    
    
    
}
static void
pcf_v_f(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float);
    func_t pointer;
    call_state st;
    
    
    float t_974;
    Parrot_init_arg_nci(interp, &st, "N");
    t_974 = (float)GET_NCI_N(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_974);
    
    
    
}
static void
pcf_v_fc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, char);
    func_t pointer;
    call_state st;
    
    
    float t_975;
    char t_976;
    Parrot_init_arg_nci(interp, &st, "NI");
    t_975 = (float)GET_NCI_N(0);
    t_976 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_975,t_976);
    
    
    
}
static void
pcf_v_ff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float);
    func_t pointer;
    call_state st;
    
    
    float t_977;
    float t_978;
    Parrot_init_arg_nci(interp, &st, "NN");
    t_977 = (float)GET_NCI_N(0);
    t_978 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_977,t_978);
    
    
    
}
static void
pcf_v_ffccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_979;
    float t_980;
    char t_981;
    char t_982;
    char t_983;
    char t_984;
    float t_985;
    float t_986;
    float t_987;
    Parrot_init_arg_nci(interp, &st, "NNIIIINNN");
    t_979 = (float)GET_NCI_N(0);
    t_980 = (float)GET_NCI_N(1);
    t_981 = (char)GET_NCI_I(2);
    t_982 = (char)GET_NCI_I(3);
    t_983 = (char)GET_NCI_I(4);
    t_984 = (char)GET_NCI_I(5);
    t_985 = (float)GET_NCI_N(6);
    t_986 = (float)GET_NCI_N(7);
    t_987 = (float)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_979,t_980,t_981,t_982,t_983,t_984,t_985,t_986,t_987);
    
    
    
}
static void
pcf_v_fff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_988;
    float t_989;
    float t_990;
    Parrot_init_arg_nci(interp, &st, "NNN");
    t_988 = (float)GET_NCI_N(0);
    t_989 = (float)GET_NCI_N(1);
    t_990 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_988,t_989,t_990);
    
    
    
}
static void
pcf_v_ffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_991;
    float t_992;
    float t_993;
    float t_994;
    Parrot_init_arg_nci(interp, &st, "NNNN");
    t_991 = (float)GET_NCI_N(0);
    t_992 = (float)GET_NCI_N(1);
    t_993 = (float)GET_NCI_N(2);
    t_994 = (float)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_991,t_992,t_993,t_994);
    
    
    
}
static void
pcf_v_fffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_995;
    float t_996;
    float t_997;
    float t_998;
    float t_999;
    Parrot_init_arg_nci(interp, &st, "NNNNN");
    t_995 = (float)GET_NCI_N(0);
    t_996 = (float)GET_NCI_N(1);
    t_997 = (float)GET_NCI_N(2);
    t_998 = (float)GET_NCI_N(3);
    t_999 = (float)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_995,t_996,t_997,t_998,t_999);
    
    
    
}
static void
pcf_v_ffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1000;
    float t_1001;
    float t_1002;
    float t_1003;
    float t_1004;
    float t_1005;
    Parrot_init_arg_nci(interp, &st, "NNNNNN");
    t_1000 = (float)GET_NCI_N(0);
    t_1001 = (float)GET_NCI_N(1);
    t_1002 = (float)GET_NCI_N(2);
    t_1003 = (float)GET_NCI_N(3);
    t_1004 = (float)GET_NCI_N(4);
    t_1005 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1000,t_1001,t_1002,t_1003,t_1004,t_1005);
    
    
    
}
static void
pcf_v_ffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1006;
    float t_1007;
    float t_1008;
    float t_1009;
    float t_1010;
    float t_1011;
    float t_1012;
    float t_1013;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNN");
    t_1006 = (float)GET_NCI_N(0);
    t_1007 = (float)GET_NCI_N(1);
    t_1008 = (float)GET_NCI_N(2);
    t_1009 = (float)GET_NCI_N(3);
    t_1010 = (float)GET_NCI_N(4);
    t_1011 = (float)GET_NCI_N(5);
    t_1012 = (float)GET_NCI_N(6);
    t_1013 = (float)GET_NCI_N(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1006,t_1007,t_1008,t_1009,t_1010,t_1011,t_1012,t_1013);
    
    
    
}
static void
pcf_v_ffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1014;
    float t_1015;
    float t_1016;
    float t_1017;
    float t_1018;
    float t_1019;
    float t_1020;
    float t_1021;
    float t_1022;
    float t_1023;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNN");
    t_1014 = (float)GET_NCI_N(0);
    t_1015 = (float)GET_NCI_N(1);
    t_1016 = (float)GET_NCI_N(2);
    t_1017 = (float)GET_NCI_N(3);
    t_1018 = (float)GET_NCI_N(4);
    t_1019 = (float)GET_NCI_N(5);
    t_1020 = (float)GET_NCI_N(6);
    t_1021 = (float)GET_NCI_N(7);
    t_1022 = (float)GET_NCI_N(8);
    t_1023 = (float)GET_NCI_N(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1014,t_1015,t_1016,t_1017,t_1018,t_1019,t_1020,t_1021,t_1022,t_1023);
    
    
    
}
static void
pcf_v_ffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1024;
    float t_1025;
    float t_1026;
    float t_1027;
    float t_1028;
    float t_1029;
    float t_1030;
    float t_1031;
    float t_1032;
    float t_1033;
    float t_1034;
    float t_1035;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNNNN");
    t_1024 = (float)GET_NCI_N(0);
    t_1025 = (float)GET_NCI_N(1);
    t_1026 = (float)GET_NCI_N(2);
    t_1027 = (float)GET_NCI_N(3);
    t_1028 = (float)GET_NCI_N(4);
    t_1029 = (float)GET_NCI_N(5);
    t_1030 = (float)GET_NCI_N(6);
    t_1031 = (float)GET_NCI_N(7);
    t_1032 = (float)GET_NCI_N(8);
    t_1033 = (float)GET_NCI_N(9);
    t_1034 = (float)GET_NCI_N(10);
    t_1035 = (float)GET_NCI_N(11);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1024,t_1025,t_1026,t_1027,t_1028,t_1029,t_1030,t_1031,t_1032,t_1033,t_1034,t_1035);
    
    
    
}
static void
pcf_v_fffffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(float, float, float, float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    float t_1036;
    float t_1037;
    float t_1038;
    float t_1039;
    float t_1040;
    float t_1041;
    float t_1042;
    float t_1043;
    float t_1044;
    float t_1045;
    float t_1046;
    float t_1047;
    float t_1048;
    float t_1049;
    float t_1050;
    Parrot_init_arg_nci(interp, &st, "NNNNNNNNNNNNNNN");
    t_1036 = (float)GET_NCI_N(0);
    t_1037 = (float)GET_NCI_N(1);
    t_1038 = (float)GET_NCI_N(2);
    t_1039 = (float)GET_NCI_N(3);
    t_1040 = (float)GET_NCI_N(4);
    t_1041 = (float)GET_NCI_N(5);
    t_1042 = (float)GET_NCI_N(6);
    t_1043 = (float)GET_NCI_N(7);
    t_1044 = (float)GET_NCI_N(8);
    t_1045 = (float)GET_NCI_N(9);
    t_1046 = (float)GET_NCI_N(10);
    t_1047 = (float)GET_NCI_N(11);
    t_1048 = (float)GET_NCI_N(12);
    t_1049 = (float)GET_NCI_N(13);
    t_1050 = (float)GET_NCI_N(14);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1036,t_1037,t_1038,t_1039,t_1040,t_1041,t_1042,t_1043,t_1044,t_1045,t_1046,t_1047,t_1048,t_1049,t_1050);
    
    
    
}
static void
pcf_v_iccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1051;
    char t_1052;
    char t_1053;
    char t_1054;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1051 = (int)GET_NCI_I(0);
    t_1052 = (char)GET_NCI_I(1);
    t_1053 = (char)GET_NCI_I(2);
    t_1054 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1051,t_1052,t_1053,t_1054);
    
    
    
}
static void
pcf_v_icccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1055;
    char t_1056;
    char t_1057;
    char t_1058;
    char t_1059;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1055 = (int)GET_NCI_I(0);
    t_1056 = (char)GET_NCI_I(1);
    t_1057 = (char)GET_NCI_I(2);
    t_1058 = (char)GET_NCI_I(3);
    t_1059 = (char)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1055,t_1056,t_1057,t_1058,t_1059);
    
    
    
}
static void
pcf_v_iccccfff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, char, char, char, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1060;
    char t_1061;
    char t_1062;
    char t_1063;
    char t_1064;
    float t_1065;
    float t_1066;
    float t_1067;
    Parrot_init_arg_nci(interp, &st, "IIIIINNN");
    t_1060 = (int)GET_NCI_I(0);
    t_1061 = (char)GET_NCI_I(1);
    t_1062 = (char)GET_NCI_I(2);
    t_1063 = (char)GET_NCI_I(3);
    t_1064 = (char)GET_NCI_I(4);
    t_1065 = (float)GET_NCI_N(5);
    t_1066 = (float)GET_NCI_N(6);
    t_1067 = (float)GET_NCI_N(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1060,t_1061,t_1062,t_1063,t_1064,t_1065,t_1066,t_1067);
    
    
    
}
static void
pcf_v_iciip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1068;
    char t_1069;
    int t_1070;
    int t_1071;
    PMC *t_1072;
    Parrot_init_arg_nci(interp, &st, "IIIIP");
    t_1068 = (int)GET_NCI_I(0);
    t_1069 = (char)GET_NCI_I(1);
    t_1070 = (int)GET_NCI_I(2);
    t_1071 = (int)GET_NCI_I(3);
    t_1072 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1068,t_1069,t_1070,t_1071,PMC_data(t_1072));
    
    
    
}
static void
pcf_v_id(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double);
    func_t pointer;
    call_state st;
    
    
    int t_1073;
    double t_1074;
    Parrot_init_arg_nci(interp, &st, "IN");
    t_1073 = (int)GET_NCI_I(0);
    t_1074 = (double)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1073,t_1074);
    
    
    
}
static void
pcf_v_idd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1075;
    double t_1076;
    double t_1077;
    Parrot_init_arg_nci(interp, &st, "INN");
    t_1075 = (int)GET_NCI_I(0);
    t_1076 = (double)GET_NCI_N(1);
    t_1077 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1075,t_1076,t_1077);
    
    
    
}
static void
pcf_v_iddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1078;
    double t_1079;
    double t_1080;
    double t_1081;
    Parrot_init_arg_nci(interp, &st, "INNN");
    t_1078 = (int)GET_NCI_I(0);
    t_1079 = (double)GET_NCI_N(1);
    t_1080 = (double)GET_NCI_N(2);
    t_1081 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1078,t_1079,t_1080,t_1081);
    
    
    
}
static void
pcf_v_idddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1082;
    double t_1083;
    double t_1084;
    double t_1085;
    double t_1086;
    Parrot_init_arg_nci(interp, &st, "INNNN");
    t_1082 = (int)GET_NCI_I(0);
    t_1083 = (double)GET_NCI_N(1);
    t_1084 = (double)GET_NCI_N(2);
    t_1085 = (double)GET_NCI_N(3);
    t_1086 = (double)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1082,t_1083,t_1084,t_1085,t_1086);
    
    
    
}
static void
pcf_v_iddidd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1087;
    double t_1088;
    double t_1089;
    int t_1090;
    double t_1091;
    double t_1092;
    Parrot_init_arg_nci(interp, &st, "INNINN");
    t_1087 = (int)GET_NCI_I(0);
    t_1088 = (double)GET_NCI_N(1);
    t_1089 = (double)GET_NCI_N(2);
    t_1090 = (int)GET_NCI_I(3);
    t_1091 = (double)GET_NCI_N(4);
    t_1092 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1087,t_1088,t_1089,t_1090,t_1091,t_1092);
    
    
    
}
static void
pcf_v_iddiiddiiddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, double, double, int, int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1093;
    double t_1094;
    double t_1095;
    int t_1096;
    int t_1097;
    double t_1098;
    double t_1099;
    int t_1100;
    int t_1101;
    double t_1102;
    double t_1103;
    int t_1104;
    int t_1105;
    PMC *t_1106;
    Parrot_init_arg_nci(interp, &st, "INNIINNIINNIIP");
    t_1093 = (int)GET_NCI_I(0);
    t_1094 = (double)GET_NCI_N(1);
    t_1095 = (double)GET_NCI_N(2);
    t_1096 = (int)GET_NCI_I(3);
    t_1097 = (int)GET_NCI_I(4);
    t_1098 = (double)GET_NCI_N(5);
    t_1099 = (double)GET_NCI_N(6);
    t_1100 = (int)GET_NCI_I(7);
    t_1101 = (int)GET_NCI_I(8);
    t_1102 = (double)GET_NCI_N(9);
    t_1103 = (double)GET_NCI_N(10);
    t_1104 = (int)GET_NCI_I(11);
    t_1105 = (int)GET_NCI_I(12);
    t_1106 = GET_NCI_P(13);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1093,t_1094,t_1095,t_1096,t_1097,t_1098,t_1099,t_1100,t_1101,t_1102,t_1103,t_1104,t_1105,PMC_data(t_1106));
    
    
    
}
static void
pcf_v_iddiiddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1107;
    double t_1108;
    double t_1109;
    int t_1110;
    int t_1111;
    double t_1112;
    double t_1113;
    int t_1114;
    int t_1115;
    PMC *t_1116;
    Parrot_init_arg_nci(interp, &st, "INNIINNIIP");
    t_1107 = (int)GET_NCI_I(0);
    t_1108 = (double)GET_NCI_N(1);
    t_1109 = (double)GET_NCI_N(2);
    t_1110 = (int)GET_NCI_I(3);
    t_1111 = (int)GET_NCI_I(4);
    t_1112 = (double)GET_NCI_N(5);
    t_1113 = (double)GET_NCI_N(6);
    t_1114 = (int)GET_NCI_I(7);
    t_1115 = (int)GET_NCI_I(8);
    t_1116 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1107,t_1108,t_1109,t_1110,t_1111,t_1112,t_1113,t_1114,t_1115,PMC_data(t_1116));
    
    
    
}
static void
pcf_v_iddiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, double, double, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1117;
    double t_1118;
    double t_1119;
    int t_1120;
    int t_1121;
    PMC *t_1122;
    Parrot_init_arg_nci(interp, &st, "INNIIP");
    t_1117 = (int)GET_NCI_I(0);
    t_1118 = (double)GET_NCI_N(1);
    t_1119 = (double)GET_NCI_N(2);
    t_1120 = (int)GET_NCI_I(3);
    t_1121 = (int)GET_NCI_I(4);
    t_1122 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1117,t_1118,t_1119,t_1120,t_1121,PMC_data(t_1122));
    
    
    
}
static void
pcf_v_if(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float);
    func_t pointer;
    call_state st;
    
    
    int t_1123;
    float t_1124;
    Parrot_init_arg_nci(interp, &st, "IN");
    t_1123 = (int)GET_NCI_I(0);
    t_1124 = (float)GET_NCI_N(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1123,t_1124);
    
    
    
}
static void
pcf_v_iff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1125;
    float t_1126;
    float t_1127;
    Parrot_init_arg_nci(interp, &st, "INN");
    t_1125 = (int)GET_NCI_I(0);
    t_1126 = (float)GET_NCI_N(1);
    t_1127 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1125,t_1126,t_1127);
    
    
    
}
static void
pcf_v_ifff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1128;
    float t_1129;
    float t_1130;
    float t_1131;
    Parrot_init_arg_nci(interp, &st, "INNN");
    t_1128 = (int)GET_NCI_I(0);
    t_1129 = (float)GET_NCI_N(1);
    t_1130 = (float)GET_NCI_N(2);
    t_1131 = (float)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1128,t_1129,t_1130,t_1131);
    
    
    
}
static void
pcf_v_iffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1132;
    float t_1133;
    float t_1134;
    float t_1135;
    float t_1136;
    Parrot_init_arg_nci(interp, &st, "INNNN");
    t_1132 = (int)GET_NCI_I(0);
    t_1133 = (float)GET_NCI_N(1);
    t_1134 = (float)GET_NCI_N(2);
    t_1135 = (float)GET_NCI_N(3);
    t_1136 = (float)GET_NCI_N(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1132,t_1133,t_1134,t_1135,t_1136);
    
    
    
}
static void
pcf_v_ifffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1137;
    float t_1138;
    float t_1139;
    float t_1140;
    float t_1141;
    float t_1142;
    Parrot_init_arg_nci(interp, &st, "INNNNN");
    t_1137 = (int)GET_NCI_I(0);
    t_1138 = (float)GET_NCI_N(1);
    t_1139 = (float)GET_NCI_N(2);
    t_1140 = (float)GET_NCI_N(3);
    t_1141 = (float)GET_NCI_N(4);
    t_1142 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1137,t_1138,t_1139,t_1140,t_1141,t_1142);
    
    
    
}
static void
pcf_v_iffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1143;
    float t_1144;
    float t_1145;
    float t_1146;
    float t_1147;
    float t_1148;
    float t_1149;
    Parrot_init_arg_nci(interp, &st, "INNNNNN");
    t_1143 = (int)GET_NCI_I(0);
    t_1144 = (float)GET_NCI_N(1);
    t_1145 = (float)GET_NCI_N(2);
    t_1146 = (float)GET_NCI_N(3);
    t_1147 = (float)GET_NCI_N(4);
    t_1148 = (float)GET_NCI_N(5);
    t_1149 = (float)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1143,t_1144,t_1145,t_1146,t_1147,t_1148,t_1149);
    
    
    
}
static void
pcf_v_iffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1150;
    float t_1151;
    float t_1152;
    float t_1153;
    float t_1154;
    float t_1155;
    float t_1156;
    float t_1157;
    float t_1158;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNN");
    t_1150 = (int)GET_NCI_I(0);
    t_1151 = (float)GET_NCI_N(1);
    t_1152 = (float)GET_NCI_N(2);
    t_1153 = (float)GET_NCI_N(3);
    t_1154 = (float)GET_NCI_N(4);
    t_1155 = (float)GET_NCI_N(5);
    t_1156 = (float)GET_NCI_N(6);
    t_1157 = (float)GET_NCI_N(7);
    t_1158 = (float)GET_NCI_N(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1150,t_1151,t_1152,t_1153,t_1154,t_1155,t_1156,t_1157,t_1158);
    
    
    
}
static void
pcf_v_iffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1159;
    float t_1160;
    float t_1161;
    float t_1162;
    float t_1163;
    float t_1164;
    float t_1165;
    float t_1166;
    float t_1167;
    float t_1168;
    float t_1169;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNNNN");
    t_1159 = (int)GET_NCI_I(0);
    t_1160 = (float)GET_NCI_N(1);
    t_1161 = (float)GET_NCI_N(2);
    t_1162 = (float)GET_NCI_N(3);
    t_1163 = (float)GET_NCI_N(4);
    t_1164 = (float)GET_NCI_N(5);
    t_1165 = (float)GET_NCI_N(6);
    t_1166 = (float)GET_NCI_N(7);
    t_1167 = (float)GET_NCI_N(8);
    t_1168 = (float)GET_NCI_N(9);
    t_1169 = (float)GET_NCI_N(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1159,t_1160,t_1161,t_1162,t_1163,t_1164,t_1165,t_1166,t_1167,t_1168,t_1169);
    
    
    
}
static void
pcf_v_iffffffffffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, float, float, float, float, float, float, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1170;
    float t_1171;
    float t_1172;
    float t_1173;
    float t_1174;
    float t_1175;
    float t_1176;
    float t_1177;
    float t_1178;
    float t_1179;
    float t_1180;
    float t_1181;
    float t_1182;
    Parrot_init_arg_nci(interp, &st, "INNNNNNNNNNNN");
    t_1170 = (int)GET_NCI_I(0);
    t_1171 = (float)GET_NCI_N(1);
    t_1172 = (float)GET_NCI_N(2);
    t_1173 = (float)GET_NCI_N(3);
    t_1174 = (float)GET_NCI_N(4);
    t_1175 = (float)GET_NCI_N(5);
    t_1176 = (float)GET_NCI_N(6);
    t_1177 = (float)GET_NCI_N(7);
    t_1178 = (float)GET_NCI_N(8);
    t_1179 = (float)GET_NCI_N(9);
    t_1180 = (float)GET_NCI_N(10);
    t_1181 = (float)GET_NCI_N(11);
    t_1182 = (float)GET_NCI_N(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1170,t_1171,t_1172,t_1173,t_1174,t_1175,t_1176,t_1177,t_1178,t_1179,t_1180,t_1181,t_1182);
    
    
    
}
static void
pcf_v_iffiff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1183;
    float t_1184;
    float t_1185;
    int t_1186;
    float t_1187;
    float t_1188;
    Parrot_init_arg_nci(interp, &st, "INNINN");
    t_1183 = (int)GET_NCI_I(0);
    t_1184 = (float)GET_NCI_N(1);
    t_1185 = (float)GET_NCI_N(2);
    t_1186 = (int)GET_NCI_I(3);
    t_1187 = (float)GET_NCI_N(4);
    t_1188 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1183,t_1184,t_1185,t_1186,t_1187,t_1188);
    
    
    
}
static void
pcf_v_iffiiffiiffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, float, float, int, int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1189;
    float t_1190;
    float t_1191;
    int t_1192;
    int t_1193;
    float t_1194;
    float t_1195;
    int t_1196;
    int t_1197;
    float t_1198;
    float t_1199;
    int t_1200;
    int t_1201;
    PMC *t_1202;
    Parrot_init_arg_nci(interp, &st, "INNIINNIINNIIP");
    t_1189 = (int)GET_NCI_I(0);
    t_1190 = (float)GET_NCI_N(1);
    t_1191 = (float)GET_NCI_N(2);
    t_1192 = (int)GET_NCI_I(3);
    t_1193 = (int)GET_NCI_I(4);
    t_1194 = (float)GET_NCI_N(5);
    t_1195 = (float)GET_NCI_N(6);
    t_1196 = (int)GET_NCI_I(7);
    t_1197 = (int)GET_NCI_I(8);
    t_1198 = (float)GET_NCI_N(9);
    t_1199 = (float)GET_NCI_N(10);
    t_1200 = (int)GET_NCI_I(11);
    t_1201 = (int)GET_NCI_I(12);
    t_1202 = GET_NCI_P(13);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1189,t_1190,t_1191,t_1192,t_1193,t_1194,t_1195,t_1196,t_1197,t_1198,t_1199,t_1200,t_1201,PMC_data(t_1202));
    
    
    
}
static void
pcf_v_iffiiffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1203;
    float t_1204;
    float t_1205;
    int t_1206;
    int t_1207;
    float t_1208;
    float t_1209;
    int t_1210;
    int t_1211;
    PMC *t_1212;
    Parrot_init_arg_nci(interp, &st, "INNIINNIIP");
    t_1203 = (int)GET_NCI_I(0);
    t_1204 = (float)GET_NCI_N(1);
    t_1205 = (float)GET_NCI_N(2);
    t_1206 = (int)GET_NCI_I(3);
    t_1207 = (int)GET_NCI_I(4);
    t_1208 = (float)GET_NCI_N(5);
    t_1209 = (float)GET_NCI_N(6);
    t_1210 = (int)GET_NCI_I(7);
    t_1211 = (int)GET_NCI_I(8);
    t_1212 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1203,t_1204,t_1205,t_1206,t_1207,t_1208,t_1209,t_1210,t_1211,PMC_data(t_1212));
    
    
    
}
static void
pcf_v_iffiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, float, float, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1213;
    float t_1214;
    float t_1215;
    int t_1216;
    int t_1217;
    PMC *t_1218;
    Parrot_init_arg_nci(interp, &st, "INNIIP");
    t_1213 = (int)GET_NCI_I(0);
    t_1214 = (float)GET_NCI_N(1);
    t_1215 = (float)GET_NCI_N(2);
    t_1216 = (int)GET_NCI_I(3);
    t_1217 = (int)GET_NCI_I(4);
    t_1218 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1213,t_1214,t_1215,t_1216,t_1217,PMC_data(t_1218));
    
    
    
}
static void
pcf_v_iic(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, char);
    func_t pointer;
    call_state st;
    
    
    int t_1219;
    int t_1220;
    char t_1221;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1219 = (int)GET_NCI_I(0);
    t_1220 = (int)GET_NCI_I(1);
    t_1221 = (char)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1219,t_1220,t_1221);
    
    
    
}
static void
pcf_v_iid(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, double);
    func_t pointer;
    call_state st;
    
    
    int t_1222;
    int t_1223;
    double t_1224;
    Parrot_init_arg_nci(interp, &st, "IIN");
    t_1222 = (int)GET_NCI_I(0);
    t_1223 = (int)GET_NCI_I(1);
    t_1224 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1222,t_1223,t_1224);
    
    
    
}
static void
pcf_v_iidddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, double, double, double, double);
    func_t pointer;
    call_state st;
    
    
    int t_1225;
    int t_1226;
    double t_1227;
    double t_1228;
    double t_1229;
    double t_1230;
    Parrot_init_arg_nci(interp, &st, "IINNNN");
    t_1225 = (int)GET_NCI_I(0);
    t_1226 = (int)GET_NCI_I(1);
    t_1227 = (double)GET_NCI_N(2);
    t_1228 = (double)GET_NCI_N(3);
    t_1229 = (double)GET_NCI_N(4);
    t_1230 = (double)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1225,t_1226,t_1227,t_1228,t_1229,t_1230);
    
    
    
}
static void
pcf_v_iif(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float);
    func_t pointer;
    call_state st;
    
    
    int t_1231;
    int t_1232;
    float t_1233;
    Parrot_init_arg_nci(interp, &st, "IIN");
    t_1231 = (int)GET_NCI_I(0);
    t_1232 = (int)GET_NCI_I(1);
    t_1233 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1231,t_1232,t_1233);
    
    
    
}
static void
pcf_v_iiffff(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float, float, float, float);
    func_t pointer;
    call_state st;
    
    
    int t_1234;
    int t_1235;
    float t_1236;
    float t_1237;
    float t_1238;
    float t_1239;
    Parrot_init_arg_nci(interp, &st, "IINNNN");
    t_1234 = (int)GET_NCI_I(0);
    t_1235 = (int)GET_NCI_I(1);
    t_1236 = (float)GET_NCI_N(2);
    t_1237 = (float)GET_NCI_N(3);
    t_1238 = (float)GET_NCI_N(4);
    t_1239 = (float)GET_NCI_N(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1234,t_1235,t_1236,t_1237,t_1238,t_1239);
    
    
    
}
static void
pcf_v_iifffft(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, float, float, float, float, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1240;
    int t_1241;
    float t_1242;
    float t_1243;
    float t_1244;
    float t_1245;
    char *t_1246;
    Parrot_init_arg_nci(interp, &st, "IINNNNS");
    t_1240 = (int)GET_NCI_I(0);
    t_1241 = (int)GET_NCI_I(1);
    t_1242 = (float)GET_NCI_N(2);
    t_1243 = (float)GET_NCI_N(3);
    t_1244 = (float)GET_NCI_N(4);
    t_1245 = (float)GET_NCI_N(5);
    {STRING * s= GET_NCI_S(6); t_1246 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1240,t_1241,t_1242,t_1243,t_1244,t_1245,t_1246);
    
    
    do { if (t_1246) string_cstring_free(t_1246); } while (0);
}
static void
pcf_v_iii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1247;
    int t_1248;
    int t_1249;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1247 = (int)GET_NCI_I(0);
    t_1248 = (int)GET_NCI_I(1);
    t_1249 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1247,t_1248,t_1249);
    
    
    
}
static void
pcf_v_iiic(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, char);
    func_t pointer;
    call_state st;
    
    
    int t_1250;
    int t_1251;
    int t_1252;
    char t_1253;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1250 = (int)GET_NCI_I(0);
    t_1251 = (int)GET_NCI_I(1);
    t_1252 = (int)GET_NCI_I(2);
    t_1253 = (char)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1250,t_1251,t_1252,t_1253);
    
    
    
}
static void
pcf_v_iiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1254;
    int t_1255;
    int t_1256;
    int t_1257;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1254 = (int)GET_NCI_I(0);
    t_1255 = (int)GET_NCI_I(1);
    t_1256 = (int)GET_NCI_I(2);
    t_1257 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1254,t_1255,t_1256,t_1257);
    
    
    
}
static void
pcf_v_iiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1258;
    int t_1259;
    int t_1260;
    int t_1261;
    int t_1262;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1258 = (int)GET_NCI_I(0);
    t_1259 = (int)GET_NCI_I(1);
    t_1260 = (int)GET_NCI_I(2);
    t_1261 = (int)GET_NCI_I(3);
    t_1262 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1258,t_1259,t_1260,t_1261,t_1262);
    
    
    
}
static void
pcf_v_iiiiicp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, char, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1263;
    int t_1264;
    int t_1265;
    int t_1266;
    int t_1267;
    char t_1268;
    PMC *t_1269;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_1263 = (int)GET_NCI_I(0);
    t_1264 = (int)GET_NCI_I(1);
    t_1265 = (int)GET_NCI_I(2);
    t_1266 = (int)GET_NCI_I(3);
    t_1267 = (int)GET_NCI_I(4);
    t_1268 = (char)GET_NCI_I(5);
    t_1269 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1263,t_1264,t_1265,t_1266,t_1267,t_1268,PMC_data(t_1269));
    
    
    
}
static void
pcf_v_iiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1270;
    int t_1271;
    int t_1272;
    int t_1273;
    int t_1274;
    int t_1275;
    Parrot_init_arg_nci(interp, &st, "IIIIII");
    t_1270 = (int)GET_NCI_I(0);
    t_1271 = (int)GET_NCI_I(1);
    t_1272 = (int)GET_NCI_I(2);
    t_1273 = (int)GET_NCI_I(3);
    t_1274 = (int)GET_NCI_I(4);
    t_1275 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1270,t_1271,t_1272,t_1273,t_1274,t_1275);
    
    
    
}
static void
pcf_v_iiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1276;
    int t_1277;
    int t_1278;
    int t_1279;
    int t_1280;
    int t_1281;
    int t_1282;
    Parrot_init_arg_nci(interp, &st, "IIIIIII");
    t_1276 = (int)GET_NCI_I(0);
    t_1277 = (int)GET_NCI_I(1);
    t_1278 = (int)GET_NCI_I(2);
    t_1279 = (int)GET_NCI_I(3);
    t_1280 = (int)GET_NCI_I(4);
    t_1281 = (int)GET_NCI_I(5);
    t_1282 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1276,t_1277,t_1278,t_1279,t_1280,t_1281,t_1282);
    
    
    
}
static void
pcf_v_iiiiiiiccc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, char, char, char);
    func_t pointer;
    call_state st;
    
    
    int t_1283;
    int t_1284;
    int t_1285;
    int t_1286;
    int t_1287;
    int t_1288;
    int t_1289;
    char t_1290;
    char t_1291;
    char t_1292;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIII");
    t_1283 = (int)GET_NCI_I(0);
    t_1284 = (int)GET_NCI_I(1);
    t_1285 = (int)GET_NCI_I(2);
    t_1286 = (int)GET_NCI_I(3);
    t_1287 = (int)GET_NCI_I(4);
    t_1288 = (int)GET_NCI_I(5);
    t_1289 = (int)GET_NCI_I(6);
    t_1290 = (char)GET_NCI_I(7);
    t_1291 = (char)GET_NCI_I(8);
    t_1292 = (char)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1283,t_1284,t_1285,t_1286,t_1287,t_1288,t_1289,t_1290,t_1291,t_1292);
    
    
    
}
static void
pcf_v_iiiiiiicp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, char, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1293;
    int t_1294;
    int t_1295;
    int t_1296;
    int t_1297;
    int t_1298;
    int t_1299;
    char t_1300;
    PMC *t_1301;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIP");
    t_1293 = (int)GET_NCI_I(0);
    t_1294 = (int)GET_NCI_I(1);
    t_1295 = (int)GET_NCI_I(2);
    t_1296 = (int)GET_NCI_I(3);
    t_1297 = (int)GET_NCI_I(4);
    t_1298 = (int)GET_NCI_I(5);
    t_1299 = (int)GET_NCI_I(6);
    t_1300 = (char)GET_NCI_I(7);
    t_1301 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1293,t_1294,t_1295,t_1296,t_1297,t_1298,t_1299,t_1300,PMC_data(t_1301));
    
    
    
}
static void
pcf_v_iiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1302;
    int t_1303;
    int t_1304;
    int t_1305;
    int t_1306;
    int t_1307;
    int t_1308;
    int t_1309;
    Parrot_init_arg_nci(interp, &st, "IIIIIIII");
    t_1302 = (int)GET_NCI_I(0);
    t_1303 = (int)GET_NCI_I(1);
    t_1304 = (int)GET_NCI_I(2);
    t_1305 = (int)GET_NCI_I(3);
    t_1306 = (int)GET_NCI_I(4);
    t_1307 = (int)GET_NCI_I(5);
    t_1308 = (int)GET_NCI_I(6);
    t_1309 = (int)GET_NCI_I(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1302,t_1303,t_1304,t_1305,t_1306,t_1307,t_1308,t_1309);
    
    
    
}
static void
pcf_v_iiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1310;
    int t_1311;
    int t_1312;
    int t_1313;
    int t_1314;
    int t_1315;
    int t_1316;
    int t_1317;
    int t_1318;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIII");
    t_1310 = (int)GET_NCI_I(0);
    t_1311 = (int)GET_NCI_I(1);
    t_1312 = (int)GET_NCI_I(2);
    t_1313 = (int)GET_NCI_I(3);
    t_1314 = (int)GET_NCI_I(4);
    t_1315 = (int)GET_NCI_I(5);
    t_1316 = (int)GET_NCI_I(6);
    t_1317 = (int)GET_NCI_I(7);
    t_1318 = (int)GET_NCI_I(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1310,t_1311,t_1312,t_1313,t_1314,t_1315,t_1316,t_1317,t_1318);
    
    
    
}
static void
pcf_v_iiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1319;
    int t_1320;
    int t_1321;
    int t_1322;
    int t_1323;
    int t_1324;
    int t_1325;
    int t_1326;
    int t_1327;
    int t_1328;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIII");
    t_1319 = (int)GET_NCI_I(0);
    t_1320 = (int)GET_NCI_I(1);
    t_1321 = (int)GET_NCI_I(2);
    t_1322 = (int)GET_NCI_I(3);
    t_1323 = (int)GET_NCI_I(4);
    t_1324 = (int)GET_NCI_I(5);
    t_1325 = (int)GET_NCI_I(6);
    t_1326 = (int)GET_NCI_I(7);
    t_1327 = (int)GET_NCI_I(8);
    t_1328 = (int)GET_NCI_I(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1319,t_1320,t_1321,t_1322,t_1323,t_1324,t_1325,t_1326,t_1327,t_1328);
    
    
    
}
static void
pcf_v_iiiiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1329;
    int t_1330;
    int t_1331;
    int t_1332;
    int t_1333;
    int t_1334;
    int t_1335;
    int t_1336;
    int t_1337;
    int t_1338;
    int t_1339;
    int t_1340;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIII");
    t_1329 = (int)GET_NCI_I(0);
    t_1330 = (int)GET_NCI_I(1);
    t_1331 = (int)GET_NCI_I(2);
    t_1332 = (int)GET_NCI_I(3);
    t_1333 = (int)GET_NCI_I(4);
    t_1334 = (int)GET_NCI_I(5);
    t_1335 = (int)GET_NCI_I(6);
    t_1336 = (int)GET_NCI_I(7);
    t_1337 = (int)GET_NCI_I(8);
    t_1338 = (int)GET_NCI_I(9);
    t_1339 = (int)GET_NCI_I(10);
    t_1340 = (int)GET_NCI_I(11);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1329,t_1330,t_1331,t_1332,t_1333,t_1334,t_1335,t_1336,t_1337,t_1338,t_1339,t_1340);
    
    
    
}
static void
pcf_v_iiiiiiiiiiiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1341;
    int t_1342;
    int t_1343;
    int t_1344;
    int t_1345;
    int t_1346;
    int t_1347;
    int t_1348;
    int t_1349;
    int t_1350;
    int t_1351;
    int t_1352;
    int t_1353;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIIII");
    t_1341 = (int)GET_NCI_I(0);
    t_1342 = (int)GET_NCI_I(1);
    t_1343 = (int)GET_NCI_I(2);
    t_1344 = (int)GET_NCI_I(3);
    t_1345 = (int)GET_NCI_I(4);
    t_1346 = (int)GET_NCI_I(5);
    t_1347 = (int)GET_NCI_I(6);
    t_1348 = (int)GET_NCI_I(7);
    t_1349 = (int)GET_NCI_I(8);
    t_1350 = (int)GET_NCI_I(9);
    t_1351 = (int)GET_NCI_I(10);
    t_1352 = (int)GET_NCI_I(11);
    t_1353 = (int)GET_NCI_I(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1341,t_1342,t_1343,t_1344,t_1345,t_1346,t_1347,t_1348,t_1349,t_1350,t_1351,t_1352,t_1353);
    
    
    
}
static void
pcf_v_iiiiiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1354;
    int t_1355;
    int t_1356;
    int t_1357;
    int t_1358;
    int t_1359;
    int t_1360;
    int t_1361;
    int t_1362;
    int t_1363;
    int t_1364;
    int t_1365;
    PMC *t_1366;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIIIP");
    t_1354 = (int)GET_NCI_I(0);
    t_1355 = (int)GET_NCI_I(1);
    t_1356 = (int)GET_NCI_I(2);
    t_1357 = (int)GET_NCI_I(3);
    t_1358 = (int)GET_NCI_I(4);
    t_1359 = (int)GET_NCI_I(5);
    t_1360 = (int)GET_NCI_I(6);
    t_1361 = (int)GET_NCI_I(7);
    t_1362 = (int)GET_NCI_I(8);
    t_1363 = (int)GET_NCI_I(9);
    t_1364 = (int)GET_NCI_I(10);
    t_1365 = (int)GET_NCI_I(11);
    t_1366 = GET_NCI_P(12);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1354,t_1355,t_1356,t_1357,t_1358,t_1359,t_1360,t_1361,t_1362,t_1363,t_1364,t_1365,PMC_data(t_1366));
    
    
    
}
static void
pcf_v_iiiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1367;
    int t_1368;
    int t_1369;
    int t_1370;
    int t_1371;
    int t_1372;
    int t_1373;
    int t_1374;
    int t_1375;
    int t_1376;
    PMC *t_1377;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIIP");
    t_1367 = (int)GET_NCI_I(0);
    t_1368 = (int)GET_NCI_I(1);
    t_1369 = (int)GET_NCI_I(2);
    t_1370 = (int)GET_NCI_I(3);
    t_1371 = (int)GET_NCI_I(4);
    t_1372 = (int)GET_NCI_I(5);
    t_1373 = (int)GET_NCI_I(6);
    t_1374 = (int)GET_NCI_I(7);
    t_1375 = (int)GET_NCI_I(8);
    t_1376 = (int)GET_NCI_I(9);
    t_1377 = GET_NCI_P(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1367,t_1368,t_1369,t_1370,t_1371,t_1372,t_1373,t_1374,t_1375,t_1376,PMC_data(t_1377));
    
    
    
}
static void
pcf_v_iiiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1378;
    int t_1379;
    int t_1380;
    int t_1381;
    int t_1382;
    int t_1383;
    int t_1384;
    int t_1385;
    int t_1386;
    PMC *t_1387;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIIP");
    t_1378 = (int)GET_NCI_I(0);
    t_1379 = (int)GET_NCI_I(1);
    t_1380 = (int)GET_NCI_I(2);
    t_1381 = (int)GET_NCI_I(3);
    t_1382 = (int)GET_NCI_I(4);
    t_1383 = (int)GET_NCI_I(5);
    t_1384 = (int)GET_NCI_I(6);
    t_1385 = (int)GET_NCI_I(7);
    t_1386 = (int)GET_NCI_I(8);
    t_1387 = GET_NCI_P(9);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1378,t_1379,t_1380,t_1381,t_1382,t_1383,t_1384,t_1385,t_1386,PMC_data(t_1387));
    
    
    
}
static void
pcf_v_iiiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1388;
    int t_1389;
    int t_1390;
    int t_1391;
    int t_1392;
    int t_1393;
    int t_1394;
    int t_1395;
    PMC *t_1396;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIIP");
    t_1388 = (int)GET_NCI_I(0);
    t_1389 = (int)GET_NCI_I(1);
    t_1390 = (int)GET_NCI_I(2);
    t_1391 = (int)GET_NCI_I(3);
    t_1392 = (int)GET_NCI_I(4);
    t_1393 = (int)GET_NCI_I(5);
    t_1394 = (int)GET_NCI_I(6);
    t_1395 = (int)GET_NCI_I(7);
    t_1396 = GET_NCI_P(8);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1388,t_1389,t_1390,t_1391,t_1392,t_1393,t_1394,t_1395,PMC_data(t_1396));
    
    
    
}
static void
pcf_v_iiiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1397;
    int t_1398;
    int t_1399;
    int t_1400;
    int t_1401;
    int t_1402;
    int t_1403;
    PMC *t_1404;
    Parrot_init_arg_nci(interp, &st, "IIIIIIIP");
    t_1397 = (int)GET_NCI_I(0);
    t_1398 = (int)GET_NCI_I(1);
    t_1399 = (int)GET_NCI_I(2);
    t_1400 = (int)GET_NCI_I(3);
    t_1401 = (int)GET_NCI_I(4);
    t_1402 = (int)GET_NCI_I(5);
    t_1403 = (int)GET_NCI_I(6);
    t_1404 = GET_NCI_P(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1397,t_1398,t_1399,t_1400,t_1401,t_1402,t_1403,PMC_data(t_1404));
    
    
    
}
static void
pcf_v_iiiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1405;
    int t_1406;
    int t_1407;
    int t_1408;
    int t_1409;
    int t_1410;
    PMC *t_1411;
    Parrot_init_arg_nci(interp, &st, "IIIIIIP");
    t_1405 = (int)GET_NCI_I(0);
    t_1406 = (int)GET_NCI_I(1);
    t_1407 = (int)GET_NCI_I(2);
    t_1408 = (int)GET_NCI_I(3);
    t_1409 = (int)GET_NCI_I(4);
    t_1410 = (int)GET_NCI_I(5);
    t_1411 = GET_NCI_P(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1405,t_1406,t_1407,t_1408,t_1409,t_1410,PMC_data(t_1411));
    
    
    
}
static void
pcf_v_iiiiiipp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, int, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1412;
    int t_1413;
    int t_1414;
    int t_1415;
    int t_1416;
    int t_1417;
    PMC *t_1418;
    PMC *t_1419;
    Parrot_init_arg_nci(interp, &st, "IIIIIIPP");
    t_1412 = (int)GET_NCI_I(0);
    t_1413 = (int)GET_NCI_I(1);
    t_1414 = (int)GET_NCI_I(2);
    t_1415 = (int)GET_NCI_I(3);
    t_1416 = (int)GET_NCI_I(4);
    t_1417 = (int)GET_NCI_I(5);
    t_1418 = GET_NCI_P(6);
    t_1419 = GET_NCI_P(7);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1412,t_1413,t_1414,t_1415,t_1416,t_1417,PMC_data(t_1418),PMC_data(t_1419));
    
    
    
}
static void
pcf_v_iiiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1420;
    int t_1421;
    int t_1422;
    int t_1423;
    int t_1424;
    PMC *t_1425;
    Parrot_init_arg_nci(interp, &st, "IIIIIP");
    t_1420 = (int)GET_NCI_I(0);
    t_1421 = (int)GET_NCI_I(1);
    t_1422 = (int)GET_NCI_I(2);
    t_1423 = (int)GET_NCI_I(3);
    t_1424 = (int)GET_NCI_I(4);
    t_1425 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1420,t_1421,t_1422,t_1423,t_1424,PMC_data(t_1425));
    
    
    
}
static void
pcf_v_iiiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1426;
    int t_1427;
    int t_1428;
    int t_1429;
    PMC *t_1430;
    Parrot_init_arg_nci(interp, &st, "IIIIP");
    t_1426 = (int)GET_NCI_I(0);
    t_1427 = (int)GET_NCI_I(1);
    t_1428 = (int)GET_NCI_I(2);
    t_1429 = (int)GET_NCI_I(3);
    t_1430 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1426,t_1427,t_1428,t_1429,PMC_data(t_1430));
    
    
    
}
static void
pcf_v_iiip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1431;
    int t_1432;
    int t_1433;
    PMC *t_1434;
    Parrot_init_arg_nci(interp, &st, "IIIP");
    t_1431 = (int)GET_NCI_I(0);
    t_1432 = (int)GET_NCI_I(1);
    t_1433 = (int)GET_NCI_I(2);
    t_1434 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1431,t_1432,t_1433,PMC_data(t_1434));
    
    
    
}
static void
pcf_v_iiipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1435;
    int t_1436;
    int t_1437;
    PMC *t_1438;
    int t_1439;
    Parrot_init_arg_nci(interp, &st, "IIIPI");
    t_1435 = (int)GET_NCI_I(0);
    t_1436 = (int)GET_NCI_I(1);
    t_1437 = (int)GET_NCI_I(2);
    t_1438 = GET_NCI_P(3);
    t_1439 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1435,t_1436,t_1437,PMC_data(t_1438),t_1439);
    
    
    
}
static void
pcf_v_iiippp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1440;
    int t_1441;
    int t_1442;
    PMC *t_1443;
    PMC *t_1444;
    PMC *t_1445;
    Parrot_init_arg_nci(interp, &st, "IIIPPP");
    t_1440 = (int)GET_NCI_I(0);
    t_1441 = (int)GET_NCI_I(1);
    t_1442 = (int)GET_NCI_I(2);
    t_1443 = GET_NCI_P(3);
    t_1444 = GET_NCI_P(4);
    t_1445 = GET_NCI_P(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1440,t_1441,t_1442,PMC_data(t_1443),PMC_data(t_1444),PMC_data(t_1445));
    
    
    
}
static void
pcf_v_iiit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1446;
    int t_1447;
    int t_1448;
    char *t_1449;
    Parrot_init_arg_nci(interp, &st, "IIIS");
    t_1446 = (int)GET_NCI_I(0);
    t_1447 = (int)GET_NCI_I(1);
    t_1448 = (int)GET_NCI_I(2);
    {STRING * s= GET_NCI_S(3); t_1449 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1446,t_1447,t_1448,t_1449);
    
    
    do { if (t_1449) string_cstring_free(t_1449); } while (0);
}
static void
pcf_v_iip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1450;
    int t_1451;
    PMC *t_1452;
    Parrot_init_arg_nci(interp, &st, "IIP");
    t_1450 = (int)GET_NCI_I(0);
    t_1451 = (int)GET_NCI_I(1);
    t_1452 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1450,t_1451,PMC_data(t_1452));
    
    
    
}
static void
pcf_v_iipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1453;
    int t_1454;
    PMC *t_1455;
    int t_1456;
    Parrot_init_arg_nci(interp, &st, "IIPI");
    t_1453 = (int)GET_NCI_I(0);
    t_1454 = (int)GET_NCI_I(1);
    t_1455 = GET_NCI_P(2);
    t_1456 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1453,t_1454,PMC_data(t_1455),t_1456);
    
    
    
}
static void
pcf_v_iit(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1457;
    int t_1458;
    char *t_1459;
    Parrot_init_arg_nci(interp, &st, "IIS");
    t_1457 = (int)GET_NCI_I(0);
    t_1458 = (int)GET_NCI_I(1);
    {STRING * s= GET_NCI_S(2); t_1459 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1457,t_1458,t_1459);
    
    
    do { if (t_1459) string_cstring_free(t_1459); } while (0);
}
static void
pcf_v_ip(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1460;
    PMC *t_1461;
    Parrot_init_arg_nci(interp, &st, "IP");
    t_1460 = (int)GET_NCI_I(0);
    t_1461 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1460,PMC_data(t_1461));
    
    
    
}
static void
pcf_v_ipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1462;
    PMC *t_1463;
    int t_1464;
    Parrot_init_arg_nci(interp, &st, "IPI");
    t_1462 = (int)GET_NCI_I(0);
    t_1463 = GET_NCI_P(1);
    t_1464 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1462,PMC_data(t_1463),t_1464);
    
    
    
}
static void
pcf_v_ipipi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, int, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1465;
    PMC *t_1466;
    int t_1467;
    PMC *t_1468;
    int t_1469;
    Parrot_init_arg_nci(interp, &st, "IPIPI");
    t_1465 = (int)GET_NCI_I(0);
    t_1466 = GET_NCI_P(1);
    t_1467 = (int)GET_NCI_I(2);
    t_1468 = GET_NCI_P(3);
    t_1469 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1465,PMC_data(t_1466),t_1467,PMC_data(t_1468),t_1469);
    
    
    
}
static void
pcf_v_ipp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *);
    func_t pointer;
    call_state st;
    
    
    int t_1470;
    PMC *t_1471;
    PMC *t_1472;
    Parrot_init_arg_nci(interp, &st, "IPP");
    t_1470 = (int)GET_NCI_I(0);
    t_1471 = GET_NCI_P(1);
    t_1472 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1470,PMC_data(t_1471),PMC_data(t_1472));
    
    
    
}
static void
pcf_v_ippi(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1473;
    PMC *t_1474;
    PMC *t_1475;
    int t_1476;
    Parrot_init_arg_nci(interp, &st, "IPPI");
    t_1473 = (int)GET_NCI_I(0);
    t_1474 = GET_NCI_P(1);
    t_1475 = GET_NCI_P(2);
    t_1476 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1473,PMC_data(t_1474),PMC_data(t_1475),t_1476);
    
    
    
}
static void
pcf_v_ippii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, void *, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    int t_1477;
    PMC *t_1478;
    PMC *t_1479;
    int t_1480;
    int t_1481;
    Parrot_init_arg_nci(interp, &st, "IPPII");
    t_1477 = (int)GET_NCI_I(0);
    t_1478 = GET_NCI_P(1);
    t_1479 = GET_NCI_P(2);
    t_1480 = (int)GET_NCI_I(3);
    t_1481 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1477,PMC_data(t_1478),PMC_data(t_1479),t_1480,t_1481);
    
    
    
}
static void
pcf_v_is(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short);
    func_t pointer;
    call_state st;
    
    
    int t_1482;
    short t_1483;
    Parrot_init_arg_nci(interp, &st, "II");
    t_1482 = (int)GET_NCI_I(0);
    t_1483 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1482,t_1483);
    
    
    
}
static void
pcf_v_iss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1484;
    short t_1485;
    short t_1486;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1484 = (int)GET_NCI_I(0);
    t_1485 = (short)GET_NCI_I(1);
    t_1486 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1484,t_1485,t_1486);
    
    
    
}
static void
pcf_v_isss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1487;
    short t_1488;
    short t_1489;
    short t_1490;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1487 = (int)GET_NCI_I(0);
    t_1488 = (short)GET_NCI_I(1);
    t_1489 = (short)GET_NCI_I(2);
    t_1490 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1487,t_1488,t_1489,t_1490);
    
    
    
}
static void
pcf_v_issss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, short, short, short, short);
    func_t pointer;
    call_state st;
    
    
    int t_1491;
    short t_1492;
    short t_1493;
    short t_1494;
    short t_1495;
    Parrot_init_arg_nci(interp, &st, "IIIII");
    t_1491 = (int)GET_NCI_I(0);
    t_1492 = (short)GET_NCI_I(1);
    t_1493 = (short)GET_NCI_I(2);
    t_1494 = (short)GET_NCI_I(3);
    t_1495 = (short)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1491,t_1492,t_1493,t_1494,t_1495);
    
    
    
}
static void
pcf_v_it(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char *);
    func_t pointer;
    call_state st;
    
    
    int t_1496;
    char *t_1497;
    Parrot_init_arg_nci(interp, &st, "IS");
    t_1496 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_1497 = s ? string_to_cstring(interp, s) : (char *) NULL;}

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1496,t_1497);
    
    
    do { if (t_1497) string_cstring_free(t_1497); } while (0);
}
static void
pcf_v_iti(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(int, char *, int);
    func_t pointer;
    call_state st;
    
    
    int t_1498;
    char *t_1499;
    int t_1500;
    Parrot_init_arg_nci(interp, &st, "ISI");
    t_1498 = (int)GET_NCI_I(0);
    {STRING * s= GET_NCI_S(1); t_1499 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1500 = (int)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1498,t_1499,t_1500);
    
    
    do { if (t_1499) string_cstring_free(t_1499); } while (0);
}
static void
pcf_v_pc(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1501;
    char t_1502;
    Parrot_init_arg_nci(interp, &st, "PI");
    t_1501 = GET_NCI_P(0);
    t_1502 = (char)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1501),t_1502);
    
    
    
}
static void
pcf_v_pddd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1503;
    double t_1504;
    double t_1505;
    double t_1506;
    Parrot_init_arg_nci(interp, &st, "PNNN");
    t_1503 = GET_NCI_P(0);
    t_1504 = (double)GET_NCI_N(1);
    t_1505 = (double)GET_NCI_N(2);
    t_1506 = (double)GET_NCI_N(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1503),t_1504,t_1505,t_1506);
    
    
    
}
static void
pcf_v_pdddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1507;
    double t_1508;
    double t_1509;
    double t_1510;
    int t_1511;
    int t_1512;
    Parrot_init_arg_nci(interp, &st, "PNNNII");
    t_1507 = GET_NCI_P(0);
    t_1508 = (double)GET_NCI_N(1);
    t_1509 = (double)GET_NCI_N(2);
    t_1510 = (double)GET_NCI_N(3);
    t_1511 = (int)GET_NCI_I(4);
    t_1512 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1507),t_1508,t_1509,t_1510,t_1511,t_1512);
    
    
    
}
static void
pcf_v_pddii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1513;
    double t_1514;
    double t_1515;
    int t_1516;
    int t_1517;
    Parrot_init_arg_nci(interp, &st, "PNNII");
    t_1513 = GET_NCI_P(0);
    t_1514 = (double)GET_NCI_N(1);
    t_1515 = (double)GET_NCI_N(2);
    t_1516 = (int)GET_NCI_I(3);
    t_1517 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1513),t_1514,t_1515,t_1516,t_1517);
    
    
    
}
static void
pcf_v_pddiidd(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, double, int, int, double, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1518;
    double t_1519;
    double t_1520;
    int t_1521;
    int t_1522;
    double t_1523;
    double t_1524;
    Parrot_init_arg_nci(interp, &st, "PNNIINN");
    t_1518 = GET_NCI_P(0);
    t_1519 = (double)GET_NCI_N(1);
    t_1520 = (double)GET_NCI_N(2);
    t_1521 = (int)GET_NCI_I(3);
    t_1522 = (int)GET_NCI_I(4);
    t_1523 = (double)GET_NCI_N(5);
    t_1524 = (double)GET_NCI_N(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1518),t_1519,t_1520,t_1521,t_1522,t_1523,t_1524);
    
    
    
}
static void
pcf_v_pdii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, double, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1525;
    double t_1526;
    int t_1527;
    int t_1528;
    Parrot_init_arg_nci(interp, &st, "PNII");
    t_1525 = GET_NCI_P(0);
    t_1526 = (double)GET_NCI_N(1);
    t_1527 = (int)GET_NCI_I(2);
    t_1528 = (int)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1525),t_1526,t_1527,t_1528);
    
    
    
}
static void
pcf_v_pid(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, double);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1529;
    int t_1530;
    double t_1531;
    Parrot_init_arg_nci(interp, &st, "PIN");
    t_1529 = GET_NCI_P(0);
    t_1530 = (int)GET_NCI_I(1);
    t_1531 = (double)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1529),t_1530,t_1531);
    
    
    
}
static void
pcf_v_pif(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, float);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1532;
    int t_1533;
    float t_1534;
    Parrot_init_arg_nci(interp, &st, "PIN");
    t_1532 = GET_NCI_P(0);
    t_1533 = (int)GET_NCI_I(1);
    t_1534 = (float)GET_NCI_N(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1532),t_1533,t_1534);
    
    
    
}
static void
pcf_v_pipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1535;
    int t_1536;
    PMC *t_1537;
    int t_1538;
    int t_1539;
    Parrot_init_arg_nci(interp, &st, "PIPII");
    t_1535 = GET_NCI_P(0);
    t_1536 = (int)GET_NCI_I(1);
    t_1537 = GET_NCI_P(2);
    t_1538 = (int)GET_NCI_I(3);
    t_1539 = (int)GET_NCI_I(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1535),t_1536,PMC_data(t_1537),t_1538,t_1539);
    
    
    
}
static void
pcf_v_pipipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1540;
    int t_1541;
    PMC *t_1542;
    int t_1543;
    PMC *t_1544;
    int t_1545;
    int t_1546;
    Parrot_init_arg_nci(interp, &st, "PIPIPII");
    t_1540 = GET_NCI_P(0);
    t_1541 = (int)GET_NCI_I(1);
    t_1542 = GET_NCI_P(2);
    t_1543 = (int)GET_NCI_I(3);
    t_1544 = GET_NCI_P(4);
    t_1545 = (int)GET_NCI_I(5);
    t_1546 = (int)GET_NCI_I(6);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1540),t_1541,PMC_data(t_1542),t_1543,PMC_data(t_1544),t_1545,t_1546);
    
    
    
}
static void
pcf_v_pipipiipiii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, int, void *, int, void *, int, int, void *, int, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1547;
    int t_1548;
    PMC *t_1549;
    int t_1550;
    PMC *t_1551;
    int t_1552;
    int t_1553;
    PMC *t_1554;
    int t_1555;
    int t_1556;
    int t_1557;
    Parrot_init_arg_nci(interp, &st, "PIPIPIIPIII");
    t_1547 = GET_NCI_P(0);
    t_1548 = (int)GET_NCI_I(1);
    t_1549 = GET_NCI_P(2);
    t_1550 = (int)GET_NCI_I(3);
    t_1551 = GET_NCI_P(4);
    t_1552 = (int)GET_NCI_I(5);
    t_1553 = (int)GET_NCI_I(6);
    t_1554 = GET_NCI_P(7);
    t_1555 = (int)GET_NCI_I(8);
    t_1556 = (int)GET_NCI_I(9);
    t_1557 = (int)GET_NCI_I(10);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1547),t_1548,PMC_data(t_1549),t_1550,PMC_data(t_1551),t_1552,t_1553,PMC_data(t_1554),t_1555,t_1556,t_1557);
    
    
    
}
static void
pcf_v_ppipii(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, int, void *, int, int);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1558;
    PMC *t_1559;
    int t_1560;
    PMC *t_1561;
    int t_1562;
    int t_1563;
    Parrot_init_arg_nci(interp, &st, "PPIPII");
    t_1558 = GET_NCI_P(0);
    t_1559 = GET_NCI_P(1);
    t_1560 = (int)GET_NCI_I(2);
    t_1561 = GET_NCI_P(3);
    t_1562 = (int)GET_NCI_I(4);
    t_1563 = (int)GET_NCI_I(5);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1558),PMC_data(t_1559),t_1560,PMC_data(t_1561),t_1562,t_1563);
    
    
    
}
static void
pcf_v_ppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1564;
    PMC *t_1565;
    PMC *t_1566;
    Parrot_init_arg_nci(interp, &st, "PPP");
    t_1564 = GET_NCI_P(0);
    t_1565 = GET_NCI_P(1);
    t_1566 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1564),PMC_data(t_1565),PMC_data(t_1566));
    
    
    
}
static void
pcf_v_pppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1567;
    PMC *t_1568;
    PMC *t_1569;
    PMC *t_1570;
    Parrot_init_arg_nci(interp, &st, "PPPP");
    t_1567 = GET_NCI_P(0);
    t_1568 = GET_NCI_P(1);
    t_1569 = GET_NCI_P(2);
    t_1570 = GET_NCI_P(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1567),PMC_data(t_1568),PMC_data(t_1569),PMC_data(t_1570));
    
    
    
}
static void
pcf_v_ppppp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, void *, void *, void *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1571;
    PMC *t_1572;
    PMC *t_1573;
    PMC *t_1574;
    PMC *t_1575;
    Parrot_init_arg_nci(interp, &st, "PPPPP");
    t_1571 = GET_NCI_P(0);
    t_1572 = GET_NCI_P(1);
    t_1573 = GET_NCI_P(2);
    t_1574 = GET_NCI_P(3);
    t_1575 = GET_NCI_P(4);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1571),PMC_data(t_1572),PMC_data(t_1573),PMC_data(t_1574),PMC_data(t_1575));
    
    
    
}
static void
pcf_v_ptp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(void *, char *, void *);
    func_t pointer;
    call_state st;
    
    
    PMC *t_1576;
    char *t_1577;
    PMC *t_1578;
    Parrot_init_arg_nci(interp, &st, "PSP");
    t_1576 = GET_NCI_P(0);
    {STRING * s= GET_NCI_S(1); t_1577 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1578 = GET_NCI_P(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(PMC_data(t_1576),t_1577,PMC_data(t_1578));
    
    
    do { if (t_1577) string_cstring_free(t_1577); } while (0);
}
static void
pcf_v_s(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short);
    func_t pointer;
    call_state st;
    
    
    short t_1579;
    Parrot_init_arg_nci(interp, &st, "I");
    t_1579 = (short)GET_NCI_I(0);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1579);
    
    
    
}
static void
pcf_v_ss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1580;
    short t_1581;
    Parrot_init_arg_nci(interp, &st, "II");
    t_1580 = (short)GET_NCI_I(0);
    t_1581 = (short)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1580,t_1581);
    
    
    
}
static void
pcf_v_sss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1582;
    short t_1583;
    short t_1584;
    Parrot_init_arg_nci(interp, &st, "III");
    t_1582 = (short)GET_NCI_I(0);
    t_1583 = (short)GET_NCI_I(1);
    t_1584 = (short)GET_NCI_I(2);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1582,t_1583,t_1584);
    
    
    
}
static void
pcf_v_ssss(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(short, short, short, short);
    func_t pointer;
    call_state st;
    
    
    short t_1585;
    short t_1586;
    short t_1587;
    short t_1588;
    Parrot_init_arg_nci(interp, &st, "IIII");
    t_1585 = (short)GET_NCI_I(0);
    t_1586 = (short)GET_NCI_I(1);
    t_1587 = (short)GET_NCI_I(2);
    t_1588 = (short)GET_NCI_I(3);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1585,t_1586,t_1587,t_1588);
    
    
    
}
static void
pcf_v_ti(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *, int);
    func_t pointer;
    call_state st;
    
    
    char *t_1589;
    int t_1590;
    Parrot_init_arg_nci(interp, &st, "SI");
    {STRING * s= GET_NCI_S(0); t_1589 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1590 = (int)GET_NCI_I(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1589,t_1590);
    
    
    do { if (t_1589) string_cstring_free(t_1589); } while (0);
}
static void
pcf_v_tp(PARROT_INTERP, PMC *self)
{
    typedef void (*func_t)(char *, void *);
    func_t pointer;
    call_state st;
    
    
    char *t_1591;
    PMC *t_1592;
    Parrot_init_arg_nci(interp, &st, "SP");
    {STRING * s= GET_NCI_S(0); t_1591 = s ? string_to_cstring(interp, s) : (char *) NULL;}
    t_1592 = GET_NCI_P(1);

    pointer =  (func_t)D2FPTR(PMC_struct_val(self));
    
     (void)(*pointer)(t_1591,PMC_data(t_1592));
    
    
    do { if (t_1591) string_cstring_free(t_1591); } while (0);
}


/* This function serves a single purpose. It takes the function
   signature for a C function we want to call and returns a pointer
   to a function that can call it. */
void *
build_call_func(PARROT_INTERP,
#if defined(CAN_BUILD_CALL_FRAMES)
PMC *pmc_nci,
#else
SHIM(PMC *pmc_nci),
#endif
NOTNULL(STRING *signature), NOTNULL(int *jitted))
{
    char       *c;
    STRING     *ns, *message;
    STRING     *jit_key_name;
    PMC        *b;
    PMC        *iglobals;
    PMC        *temp_pmc;
    UINTVAL    signature_len;

    PMC        *HashPointer   = NULL;

    /* And in here is the platform-independent way. Which is to say
       "here there be hacks" */
    signature_len = string_length(interp, signature);
    if (0 == signature_len)
       return F2DPTR(pcf_v_);
    /* remove deprecated void argument 'v' character */
    if (2 == signature_len && 'v' == string_index(interp, signature, 1)) {
       Parrot_warn(interp, PARROT_WARNINGS_ALL_FLAG, "function signature argument character 'v' ignored");
       string_chopn_inplace(interp, signature, 1);
       signature_len = string_length(interp, signature);
    }

    iglobals = interp->iglobals;

    if (PMC_IS_NULL(iglobals))
        PANIC(interp, "iglobals isn't created yet");
    HashPointer = VTABLE_get_pmc_keyed_int(interp, iglobals,
            IGLOBALS_NCI_FUNCS);

    if (!HashPointer) {
        HashPointer = pmc_new(interp, enum_class_Hash);
        VTABLE_set_pmc_keyed_int(interp, iglobals, IGLOBALS_NCI_FUNCS,
                HashPointer);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_JOd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "dJOd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPIP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPIP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPNP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPNP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPN;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPN"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPIP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPIP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPNP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPNP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOSSS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOSSS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOb;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOIPxAT_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOIP@"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JpP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJpP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Jpii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_tp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "itp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_J;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJ"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_J;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tJ"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_Jpti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tJpti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ptt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vptt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jtiiipt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJtiiipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_JttPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJttPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_Jtpi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJtpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "v"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_illllllll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "villllllll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pbip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpbip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_piiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOPPPPP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOPPPPP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOSI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOSI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOSII;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOSII"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jbip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJbip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Jp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_tt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JOt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJOt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOSI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOSI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_I_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "IJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_N_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "NJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JON;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJON"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOI;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOI"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_P_JOIS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "PJOIS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_JOSP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "SJOSP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i3i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii3i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ibi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iibi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_lttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "llttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piS;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiS"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_S_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "Si"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pttttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipttttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_pttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cpttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pttttiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppttttiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ptl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iptl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_ttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pttl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpttl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tiB3P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptiB3P"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tip3P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptip3P"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pPtiiipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipPtiiipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_tpiibi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "itpiibi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptippppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptippppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pi33ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppi33ipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pttip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppttip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptipppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptipppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ppP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pppP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ptp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pptp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pt33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipt33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "c"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "d"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_d_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "dd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "f"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_ff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_is;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fis"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ib"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "id"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ii4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iii4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iili;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "il"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_li;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_lp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ilp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_lsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p333;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip333"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p333333;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip333333"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p42p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip42p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_p4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ip4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pb;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pii4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipii4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piil;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiil"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piili;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiili"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_piiti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipiiti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pilsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipilsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pli;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipli"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pllllllll;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipllllllll"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_plp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iplp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_plsp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iplsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_psp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipsp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pitl;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipitl"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s22;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is22"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_s222;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "is222"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ssss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "issss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "it"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_4i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i4i"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_42p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i42p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_l4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ll4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_p33l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "lp33l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_l_33l;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "l33l"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_B;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pB"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_iiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "piiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_piiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ppiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_tpp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ptpp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ttttttt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pttttttt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_s_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "s"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "t"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_t;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_tl4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ttl4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_t4;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tt4"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "isc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_s_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ssc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_sc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "csc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_i3;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ii3"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_b;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tb"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_t_B;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "tB"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_P;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pP;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpP"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_33;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "i33"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JO;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJO"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_JOt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJOt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Jt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_Ji;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iJi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_Vi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vVi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ppiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pppiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_p_ppiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "pppiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_pppiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ipppiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ppppiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ippppiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_JPii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vJPii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_i;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "ci"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_c_ipt;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "cipt"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_f_ii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "fii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ddddpppddpppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iddddpppddpppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_dddpppppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "idddpppppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_iiiipiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iiiiipiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_i_ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "iipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_3p;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "v3p"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_c;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_cccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vcccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccccff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccccff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_d;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dddddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdddddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddddddddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddddddddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddddp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddddp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_dii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vdii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_f;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vf"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_fffffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vfffffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_icccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vicccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iccccfff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viccccfff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iciip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viciip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_id;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_idd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_idddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vidddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddidd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiiddiiddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiiddiiddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiiddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiiddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iddiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viddiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_if;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ifff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vifff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ifffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vifffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffffffffffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffffffffffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiiffiiffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiiffiiffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiiffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiiffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iffiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viffiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iic;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viic"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iid;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iidddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viidddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iif;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiffff;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiffff"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iifffft;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viifffft"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiic;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiic"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiicp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiicp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiccc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiccc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiicp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiicp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiiipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiiipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiippp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiippp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iiit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viiit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iit;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ip;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vip"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipipi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipipi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ipp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vipp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ippi;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vippi"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ippii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vippii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_is;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vis"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_isss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "visss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_issss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vissss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_it;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vit"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_iti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "viti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pc;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpc"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pdddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpdddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pddiidd;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpddiidd"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pdii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpdii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pid;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpid"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pif;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpif"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pipipiipiii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpipipiipiii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppipii;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppipii"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_pppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vpppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ppppp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vppppp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ptp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vptp"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_s;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vs"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_sss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vsss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ssss;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vssss"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_ti;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vti"), temp_pmc);

        temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
        PMC_data(temp_pmc) = (void *)pcf_v_tp;
        VTABLE_set_pmc_keyed_str(interp, HashPointer, CONST_STRING(interp, "vtp"), temp_pmc);


    }

#if defined(CAN_BUILD_CALL_FRAMES)
    /* Try if JIT code can build that signature. If yes, we are done */

    jit_key_name = string_from_literal(interp, "_XJIT_");
    jit_key_name = string_append(interp, jit_key_name, signature);
    b = VTABLE_get_pmc_keyed_str(interp, HashPointer, jit_key_name);

    if (b && b->vtable->base_type == enum_class_UnManagedStruct) {
        *jitted = 1;
        return F2DPTR(PMC_data(b));
    }
    else {
        void * const result = Parrot_jit_build_call_func(interp, pmc_nci, signature);
        if (result) {
            *jitted = 1;
            temp_pmc = pmc_new(interp, enum_class_UnManagedStruct);
            PMC_data(temp_pmc) = (void*)result;
            VTABLE_set_pmc_keyed_str(interp, HashPointer, jit_key_name, temp_pmc);
            return result;
        }
    }

#endif

    b = VTABLE_get_pmc_keyed_str(interp, HashPointer, signature);

    if (b && b->vtable->base_type == enum_class_UnManagedStruct)
        return F2DPTR(PMC_data(b));

    /*
      These three lines have been added to aid debugging. I want to be able to
      see which signature has an unknown type. I am sure someone can come up
      with a neater way to do this.
     */
    ns = string_make(interp, " is an unknown signature type", 29, "ascii", 0);
    message = string_concat(interp, signature, ns, 0);

#if defined(CAN_BUILD_CALL_FRAMES)
    ns = string_make(interp, ".\nCAN_BUILD_CALL_FRAMES is enabled, this should not happen", 58, "ascii", 0);
#else
    ns = string_make(interp, ".\nCAN_BUILD_CALL_FRAMES is disabled, add the signature to src/call_list.txt", 75, "ascii", 0);
#endif
    message = string_concat(interp, message, ns, 0);

    /*
     * I think there may be memory issues with this but if we get to here we are
     * aborting.
     */
    c = string_to_cstring(interp, message);
    PANIC(interp, c);
}


/*
 * Local variables:
 *   c-file-style: "parrot"
 * End:
 * vim: expandtab shiftwidth=4:
 */
